<?php

// Create Campaign
add_action('wp_ajax_webinarignition_create', 'webinarignition_create_callback');
function webinarignition_create_callback() {
	
	// WP DB Include
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition";

	$clone = $_POST['cloneapp'];
	
	// Save DB Info - Name & Created Date
	$wpdb->insert($table_db_name, 
	array( 
	 'appname' => stripcslashes($_POST['appname']),
	 'camtype' => $clone,
	 'total_lp' => '0%%0',
	 'total_ty' => '0%%0',
	 'total_live' => '0%%0',
	 'total_replay' => '0%%0',
	 'created' => date('F j, Y')
	));
	
	// Return The ID Of Campaign Created
	$campaignID = $wpdb->insert_id;

	$getID = $wpdb->insert_id;

	// CREATE A CORRASPONDING POST ::
	$my_post = array(
	  'post_title'    => wp_strip_all_tags( $_POST['appname'] ),
	  'post_type'     => 'page',
	  'post_content'  => 'NOT USED -- REPLACED WITH WEBINAR IGNITION CAMPAIGN CONTENT',
	  'post_status'   => 'publish'
	);

	// Insert the post into the database
	$getPostID = wp_insert_post( $my_post );
	$getPostID2 = $wpdb->insert_id;

	// Add postID to db:
	$wpdb->update($table_db_name, array( 'postID' => $getPostID ), array( 'id' => $campaignID ));

	// Set Meta Info so it links this page with the bonus page::
	update_post_meta( $getPostID, 'webinarignitionx_meta_box_select', esc_attr($campaignID) );

	echo $campaignID;

	// MODEL :: CORE DATA
	add_option('webinarignition_campaign_'. $campaignID, "");

	// Create Option PRE-DONE CONTENT FOR THE USER
	// *****************************************************************************
	// Parse info like Data
	$fullDate = $_POST["webinar_date"];

	if( strpos($fullDate , '-') ){
       	$fullDate = explode("-", $fullDate);
    } else {
       	$fullDate = explode("/", $fullDate);
    }

    $maintitle = stripslashes($_POST['appname']);

	// $fullDate = explode("-", $fullDate);
	$setDate = $fullDate[2] ."/". $fullDate[0] . "/". $fullDate[1];

	$getDate = date('l jS \of F Y', strtotime($setDate));
	$getDate22 = $getDate; 
	$getDate = explode(" ", $getDate);

	$getDay = str_replace("th", "", $getDate[1]);
	$getDay = str_replace("rd", "", $getDay);
	$getDay = str_replace("st", "", $getDay);
	$getDay = str_replace("nd", "", $getDay);

	$setTime = $_POST["webinar_start_time"];
	$getTime = date("h:i:s A", strtotime($setTime));

	$getTime = explode(" ", $getTime);
	$getHour = explode(":", $getTime[0]);
	$getHour2 = $getHour[0];
	// Check for 0 in front of time..
	if( $getHour2[0] == "0" ){
		$getHour2 = str_replace("0", "", $getHour2);
	}

	$timezone = "-5";
	if( $_POST["webinar_timezone"] != "" ){ 
		$timezone = $_POST["webinar_timezone"];
	}

	$host = "Your Name";
	if( $_POST["webinar_host"]  != "" ){
		$host = stripslashes($_POST["webinar_host"]);
	}

	$desc = "How We Crush It With Webinars";
	if( $_POST["webinar_desc"]  != "" ){
		$desc = $_POST["webinar_desc"];
	}

	$orgdate = "06-06-2014";
	if($_POST["webinar_date"] != ""){
		$orgdate = stripslashes($_POST["webinar_date"]);
	}

	$time = "14:30";
	if( $_POST["webinar_start_time"] != ""){
		$time = $_POST["webinar_start_time"];
	}

	$linkToLive = get_permalink($getPostID);

	$emailSetup = "Quick Webinar Reminder.\n

%%INTRO%%

<b>Date:</b>
Join us on live :: {DATE}

<b>Webinar Topic:</b>
{TITLE}\n

<b>Webinar Hosts:</b>
{HOST}\n

<b># Click here to join:</b>
{LINK}\n

# You will be connected to video using your computer's microphone and speakers.  A headset is recommended.\n

System Requirements:\n

PC-based attendees
Required: Windows 7, Vista, XP or 2003 Server\n

Mac-based attendees
Required: Mac OS X 10.6 or newer\n

Mobile attendees
Required: iPhone, iPad, Android phone or Android tablet\n";
	
	// --- EMAIL NOTIFICATION UPDATE SETTINGS --
	//
	// Set Date & Get BeforeDay / NextDay - BeforeTime / NextTime
	//
	$newDate = $fullDate[2] ."-". $fullDate[0] . "-". $fullDate[1];
	$newTime = strtotime($setTime);
	$beforeDay = date("Y-m-d", strtotime('-1 day', strtotime($newDate) ) );
	$beforeDayReformat = date("m-d-Y", strtotime($beforeDay));
	$nextDay = date("Y-m-d", strtotime('+1 day', strtotime($newDate) ) );
	$nextDayReformat = date("m-d-Y", strtotime($nextDay));
	$beforeTime = date("H:i", strtotime('-1 hour', $newTime));
	$nextTime = date("H:i", strtotime('+1 hour', $newTime));

	// Data For New Webinar
	$dataArray = array(
		"webinar_desc" => $desc,
		"webinar_host" => $host,
		"webinar_date" => $orgdate,
		"webinar_start_time" => $time,
		"webinar_end_time" => $time,
		"webinar_timezone" => $timezone,
		"lp_metashare_title" => $maintitle,
		"lp_metashare_desc" => $desc,
		"lp_main_headline" => '<h4 class="subheader">Introducing This Exclusive Webinar From '. $host .'</h4><h2 style="margin-top: -10px;">'.$desc.'</h2>',
		"lp_webinar_month" => $getDate[3],
		"lp_webinar_day" => $getDay,
		"lp_webinar_headline" => $getDate[0] ." The ". $getDate[1],
		"lp_webinar_subheadline" => "At ". $getHour2 .":". $getHour[1] ." ". $getTime[1],
		"cd_headline" => '<h4 class="subheader">You Are Viewing The Webinar That Is Not Yet Live - <b>We Go Live Soon!</b></h4><h2 style="margin-top: -10px; margin-bottom: 30px;">Webinar Starts Very Soon</h2>',
		"email_signup_sbj" => "[Reminder] Your Webinar :: $desc",
		"email_signup_body" => str_replace("%%INTRO%%", "Here is the webinar information you just signed up for...<br>", $emailSetup),
		
		"email_notiff_date_1" => $beforeDayReformat,
		"email_notiff_time_1" => $time,
		"email_notiff_status_1" => "queued",
		"email_notiff_sbj_1" => "WEBINAR REMINDER :: Goes Live Tomorrow :: $desc",
		"email_notiff_body_1" => str_replace("%%INTRO%%", "This is a reminder that the webinar you signed up for is tomorrow...<br>", $emailSetup),
		
		"email_notiff_date_2" => $orgdate,
		"email_notiff_time_2" => $beforeTime,
		"email_notiff_status_2" => "queued",
		"email_notiff_sbj_2" => "WEBINAR REMINDER :: Goes Live In 1 Hour :: $desc",
		"email_notiff_body_2" => str_replace("%%INTRO%%", "The webinar is live in 1 hour!<br>", $emailSetup),

		"email_notiff_date_3" => $orgdate,
		"email_notiff_time_3" => $time,
		"email_notiff_status_3" => "queued",
		"email_notiff_sbj_3" => "We Are Live",
		"email_notiff_body_3" => str_replace("%%INTRO%%", "We are live, on air and ready to go!<br>", $emailSetup),
		
		"email_notiff_date_4" => $orgdate,
		"email_notiff_time_4" => $nextTime,
		"email_notiff_status_4" => "queued",
		"email_notiff_sbj_4" => "Replay is live!",
		"email_notiff_body_4" => str_replace("%%INTRO%%", "We just posted the replay video for the webinar tonight...<br>", $emailSetup),

		"email_notiff_date_5" => $nextDayReformat,
		"email_notiff_time_5" => $time,
		"email_notiff_status_5" => "queued",
		"email_notiff_sbj_5" => "WEBINAR REMINDER :: Goes Live Tomorrow :: $desc",
		"email_notiff_body_5" => str_replace("%%INTRO%%", "This is a reminder that the webinar you signed up for is tomorrow...<br>", $emailSetup),

		"email_twilio_date" => $orgdate,
		"email_twilio_time" => $beforeTime,
		"email_twilio_status" => "queued",
		"twilio_msg" => "The webinar is starting soon! Jump On Live: {LINK}",
		
		"auto_translate_months" => "Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep, Oct, Nov, Dec",
		"auto_translate_days" => "Monday, Tuesday, Wednesday, Thursday, Friday, Saturday, Sunday",

		"lp_banner_bg_style" => "hide",
		"webinar_banner_bg_style" => "hide",

		"smtp_name" => $host,
		"smtp_email" => get_bloginfo("admin_email")

	);
	$obj = array_to_object_we($dataArray);

	// Save Campaign Setup
	if( $clone == "new" ){
		// no clone - new
		update_option('webinarignition_campaign_'. $campaignID, $obj);
	} else if( $clone == "auto" ){
		// Data For New Webinar
		$dataArray = array(
			"webinar_desc" => $desc,
			"webinar_host" => $host,
			"webinar_date" => "AUTO",
			// "webinar_start_time" => "AUTO",
			// "webinar_end_time" => $time,
			// "webinar_timezone" => $timezone,
			"lp_metashare_title" => $maintitle,
			"lp_metashare_desc" => $desc,
			"lp_main_headline" => '<h4 class="subheader">Introducing This Exclusive Webinar From '. $host .'</h4><h2 style="margin-top: -10px;">'.$desc.'</h2>',
			// "lp_webinar_month" => $getDate[3],
			// "lp_webinar_day" => $getDay,
			// "lp_webinar_headline" => $getDate[0] ." The ". $getDate[1],
			// "lp_webinar_subheadline" => "At ". $getHour2 .":". $getHour[1] ." ". $getTime[1],
			"cd_headline" => '<h4 class="subheader">You Are Viewing The Webinar That Is Not Yet Live </h4><h2 style="margin-top: -10px; margin-bottom: 30px;">We Go Live Soon.</h2>',
			"email_signup_sbj" => "[Reminder] Your Webinar Information ",
			"email_signup_body" => str_replace("%%INTRO%%", "Here is the webinar information you just signed up for...<br>", $emailSetup),
			
			"email_notiff_sbj_1" => "WEBINAR REMINDER :: Goes Live Tomorrow :: $desc",
			"email_notiff_body_1" => str_replace("%%INTRO%%", "This is a reminder that the webinar you signed up for is tomorrow...<br>", $emailSetup),
			
			"email_notiff_sbj_2" => "WEBINAR REMINDER :: Goes Live In 1 Hour :: $desc",
			"email_notiff_body_2" => str_replace("%%INTRO%%", "The webinar is live in 1 hour!<br>", $emailSetup),

			"email_notiff_sbj_3" => "We Are Live",
			"email_notiff_body_3" => str_replace("%%INTRO%%", "We are live, on air and ready to go!<br>", $emailSetup),
			
			"email_notiff_sbj_4" => "Replay is live!",
			"email_notiff_body_4" => str_replace("%%INTRO%%", "We just posted the replay video for the webinar tonight...<br>", $emailSetup),

			"email_notiff_sbj_5" => "WEBINAR REPLAY COMING DOWN SOON :: $desc",
			"email_notiff_body_5" => str_replace("%%INTRO%%", "This is a reminder that the webinar you, the replay is available, but coming down very soon...<br>", $emailSetup),

			"twilio_msg" => "The webinar is starting soon! Jump On Live: {LINK}",
		

			"lp_banner_bg_style" => "hide",
			"webinar_banner_bg_style" => "hide",

			"auto_time_1" => "16:00",
			"auto_time_2" => "18:00",
			"auto_time_3" => "20:00",

			"auto_video_length" => "60",

			"auto_translate_months" => "Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep, Oct, Nov, Dec",
			"auto_translate_days" => "Monday, Tuesday, Wednesday, Thursday, Friday, Saturday, Sunday",

			"auto_translate_local" => "Local Time",

			"smtp_name" => $host,
			"smtp_email" => get_bloginfo("admin_email")

		);
		$obj = array_to_object_we($dataArray);
		// save
		update_option('webinarignition_campaign_'. $campaignID, $obj);

	} else {
		// get option from parent campaign
		$cloneParent = get_option('webinarignition_campaign_'. $clone);
		update_option('webinarignition_campaign_'. $campaignID, $cloneParent);
	}

	// *****************************************************************************

	die();
	
}

// Create Campaign -- AUTO
add_action('wp_ajax_webinarignition_create_auto', 'webinarignition_create_auto_callback');
function webinarignition_create_auto_callback() {
	
	// WP DB Include
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition";
	
	// Save DB Info - Name & Created Date
	$wpdb->insert($table_db_name, 
	array( 
	 'appname' => stripcslashes($_POST['appname']),
	 'camtype' => 'auto',
	 'created' => date('F j, Y')
	));
	
	// Return The ID Of Campaign Created
	$campaignID = $wpdb->insert_id;

	$getID = $wpdb->insert_id;

	// CREATE A CORRASPONDING POST ::
	$my_post = array(
	  'post_title'    => wp_strip_all_tags( $_POST['appname'] ),
	  'post_type'     => 'page',
	  'post_content'  => 'NOT USED -- REPLACED WITH WEBINAR IGNITION CAMPAIGN CONTENT',
	  'post_status'   => 'publish'
	);

	// Insert the post into the database
	$getPostID = wp_insert_post( $my_post );
	$getPostID2 = $wpdb->insert_id;

	// Add postID to db:
	$wpdb->update($table_db_name, array( 'postID' => $getPostID ), array( 'id' => $campaignID ));

	// Set Meta Info so it links this page with the bonus page::
	update_post_meta( $getPostID, 'webinarignitionx_meta_box_select', esc_attr($campaignID) );

	echo $campaignID;

	add_option('webinarignition_campaign_'. $campaignID, "");

	// Create Option PRE-DONE CONTENT FOR THE USER
	// *****************************************************************************
	// Parse info like Data

	$maintitle = $_POST['appname'];

	$host = "Your Name";
	if( $_POST["webinar_host"]  != "" ){
		$host = $_POST["webinar_host"];
	}

	$desc = "How We Crush It With Webinars";
	if( $_POST["webinar_desc"]  != "" ){
		$desc = $_POST["webinar_desc"];
	}

	$linkToLive = get_permalink($getPostID);

	$emailSetup = "Quick Webinar Reminder.\n

This message is to let you know all the details for the Webinar you signed up for...\n

Date:
Join us on {WEBINARSTARTTIME}\n

Webinar Topic:
$desc\n

Webinar Hosts:
$host\n

# Click here to join:
$linkToLive?live&id={ID}\n

# You will be connected to audio uding your computer's microphone and speakers.  A headset is recommended.\n

System Requirements:\n

PC-based attendees
Required: Windows 7, Vista, XP or 2003 Server\n

Mac-based attendees
Required: Mac OS X 10.6 or newer\n

Mobile attendees
Required: iPhone, iPad, Android phone or Android tablet\n";

	// Data For New Webinar
	$dataArray = array(
		"webinar_desc" => $desc,
		"webinar_host" => $host,
		"webinar_dates" => $_POST["webinar_dates"],
		"webinar_blocked_dates" => $_POST["webinar_blocked_dates"],
		"webinar_times" => $_POST["webinar_times"],
		"webinar_instant" => $_POST["webinar_instant"],
		"webinar_lang" => $_POST["webinar_lang"],
		"meta_site_title_lp" => $maintitle,
		"meta_desc_lp" => $desc,
		"meta_site_title_ty" => $maintitle,
		"meta_desc_ty" => $desc,
		"meta_site_title_webinar" => $maintitle,
		"meta_desc_webinar" => $desc,
		"meta_site_title_replay" => $maintitle,
		"meta_desc_replay" => $desc,
		"lp_main_headline" => "<h4 class='subheader'>Introducing This Exclusive Webinar From ". $host ."</h4><h2 style='margin-top: -10px;'>".$desc."</h2>",
		"cd_headline" => '<h4 class="subheader">You Are Viewing The Webinar That Is Not Yet Live - <b>We Go Live Soon!</b></h4><h2 style="margin-top: -10px; margin-bottom: 30px;">Webinar Starts: {WEBINARSTARTTIME}</h2>',
		"email_signup_sbj" => "[Reminder] Your Webinar Starts: {WEBINARSTARTTIME",
		"email_signup_body" => $emailSetup,
		"lp_banner_bg_style" => "hide",
		"webinar_banner_bg_style" => "hide"
	);
	$obj = array_to_object_we($dataArray);


	// *****************************************************************************

	die();
	
}


// ARRAY TO OBJECT FUNCTION::
function array_to_object_we($array) {
  $obj = new stdClass;
  foreach($array as $k => $v) {
     if(is_array($v)) {
        $obj->{$k} = array_to_object($v); //RECURSION
     } else {
        $obj->{$k} = $v;
     }
  }
  return $obj;
}

// ADD NEW LEAD
add_action('wp_ajax_nopriv_webinarignition_add_lead', 'webinarignition_add_lead_callback');
add_action('wp_ajax_webinarignition_add_lead', 'webinarignition_add_lead_callback');
function webinarignition_add_lead_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition_leads_new";

	$wpdb->insert($table_db_name, 
	array(
		 'app_id' => $_POST['id'],
		 'name' => $_POST['name'],
		 'email' => $_POST['email'],
		 'phone' => $_POST['phone'],
		 'skype' => $_POST['skype'],
		 'trk1' => 'Optin',
		 'trk3' => $_POST['ip'],
		 'event' => 'No',
		 'replay' => 'No',
		 'created' => date('F j, Y')
	));
	$cookieID = $wpdb->insert_id;
	echo $wpdb->insert_id;

	// ADD TO MAILING LIST

		$results = get_option('webinarignition_campaign_'. $_POST['id'] );	

		$subjectLine = $results->email_signup_sbj;

		$table_db_name = $wpdb->prefix . "webinarignition";
		$ID = $_POST['id'];
		$data2 = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
		foreach($data2 as $data2) {}

		$emailBody = $results->email_signup_body;
		// $emailBody = str_replace("{NAME}", $_POST['name'], $emailBody);
		// $emailBody = str_replace("{LINK}", get_permalink( $data2->postID ) , $emailBody);
		// Shortcode :: TITLE
		$emailBody = str_replace("{TITLE}", $results->webinar_desc, $emailBody);
		// Shortcode :: HOST
		$emailBody = str_replace("{HOST}", $results->webinar_host, $emailBody);
		// Shortcode :: LINK
		$emailBody = str_replace("{LINK}", $results->webinar_permalink . "?live", $emailBody);
		// Shortcode :: DATE
		$liveWebbyDate = explode("-", $results->webinar_date);
		$autoDate = $liveWebbyDate[2] ."-". $liveWebbyDate[0] ."-". $liveWebbyDate[1];	

		$autoDate_format = date('l\, M\. j\, Y', strtotime($autoDate));
		// Final Step = Translate Months
		$months = $results->auto_translate_months;
		$months = explode(",", $months);
		$englishMonths = array('Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec' );
		$translateMonths = array($months[0] == "" ? 'Jan' : $months[0], 
								 $months[1] == "" ? 'Feb' : $months[1], 
								 $months[2] == "" ? 'Mar' : $months[2], 
								 $months[3] == "" ? 'Apr' : $months[3], 
								 $months[4] == "" ? 'May' : $months[4], 
								 $months[5] == "" ? 'Jun' : $months[5], 
								 $months[6] == "" ? 'Jul' : $months[6], 
								 $months[7] == "" ? 'Aug' : $months[7], 
								 $months[8] == "" ? 'Sep' : $months[8], 
								 $months[9] == "" ? 'Oct' : $months[9], 
								 $months[10] == "" ? 'Nov' : $months[10], 
								 $months[11] == "" ? 'Dec' : $months[11]);

		$days = $results->auto_translate_days;
		$days = explode(",", $days);
		$englishDays = array('Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday');
		$translateDays = array($days[0] == "" ? 'Monday' : $days[0], 
								 $days[1] == "" ? 'Tuesday' : $days[1], 
								 $days[2] == "" ? 'Wednesday' : $days[2], 
								 $days[3] == "" ? 'Thursday' : $days[3], 
								 $days[4] == "" ? 'Friday' : $days[4], 
								 $days[5] == "" ? 'Saturday' : $days[5], 
								 $days[6] == "" ? 'Sunday' : $days[6]);
		$autoDate_format = str_ireplace($englishMonths, $translateMonths, $autoDate_format);
		$autoDate_format = str_ireplace($englishDays, $translateDays, $autoDate_format);
		// Times
		$autoTime_format = $results->webinar_start_time;
		$autoTime = date('g:i A', strtotime( $autoTime_format ) );	
		// Replace
		$emailBody = str_replace("{DATE}", $autoDate_format . " @ ". $autoTime , $emailBody);

		// SEND EMAIL -- SMTP
		require 'class.phpmailer.php';
		$mail = new PHPMailer;
		// EMAIL SETTINGS
		$mail->IsSMTP();
		$mail->Host = $results->smtp_host;
		$mail->SMTPAuth = true;
		$mail->Username = $results->smtp_user; 
		$mail->Password = $results->smtp_pass; 
		$mail->SMTPSecure = 'tls';
		$mail->From = $results->smtp_email;
		$mail->FromName = $results->smtp_name;
		// EMAIL COPY ::
		$mail->WordWrap = 50;
		$mail->IsHTML(true);
		$mail->Subject = $results->email_signup_sbj;
		$mail->Body = $emailBody;

		// SMTP Port
		$port = $results->smtp_port;
		if( $port == "" ){ $port = 25; }

		$mail->Port = $port;

		// Email 
		$mail->AddAddress($_POST['email'], $_POST['name']); 
		// Mail Lead
		if(!$mail->Send()) {
		    // echo 'ERROR :: Email could not be sent. - Email ID :: ' . $num;
		    // echo "<br><br>";
		    // echo 'Mailer Error: ' . $mail->ErrorInfo;
		    exit;
		} else {
			// echo 'SUCCESS :: Email has been sent - Email ID :: ' . $num;
		}

		// SendReach Integration

		require_once('sendreach/classes.php');
		global $api_vars;
		$api_vars['key'] = $results->sendreach_key;
		$api_vars['secret'] = $results->sendreach_secret;
		$api_vars['userid'] = $results->sendreach_user;
		$sendreach = new api();
		$list_id = $results->sendreach_list; // list to subscriber new user too
		$fullname = explode(" ", $_POST['name']);	
		$first_name = $fullname[0]; // optional but highly suggested
		$last_name = $fullname[1]; // option, but highly suggested
		$email = $_POST['email']; // required
		$client_ip = $_SERVER["REMOTE_ADDR"]; // required

		$subscriber_add = $sendreach->subscriber_add($list_id, $first_name, $last_name, $email , $client_ip); // the data is returned in json format
		$subscriber_add = json_decode($subscriber_add); // here we convert the json data into a PHP array
		// var_dump($subscriber_add);

		die();

}

// ADD NEW LEAD
add_action('wp_ajax_nopriv_webinarignition_add_lead_auto', 'webinarignition_add_lead_auto_callback');
add_action('wp_ajax_webinarignition_add_lead_auto', 'webinarignition_add_lead_auto_callback');
function webinarignition_add_lead_auto_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";

	// Get info
	$results = get_option('webinarignition_campaign_'. $_POST['id'] );
	$webinarLength = $results->auto_video_length;

	$todaysDate = date("Y-m-d");
	$todaysTime = date("H:i");

	$setCheckInstant = "";

	$instant = "no";

	if( $_POST['date'] == "today" ){
		// They choose to watch replay
		$time = date('H:i', strtotime( $todaysTime . "-300 minutes") );
		// Get & Set Dates For Emails...
		$date_picked_and_live = $todaysDate . " ". $time;
		// in the past - wont be triggered
		$date_1_day_before = date('Y-m-d', strtotime( $todaysDate . "-1 days") );
		$date_1_day_before = $date_1_day_before ." ". $time;
		// in the past - wont be triggered
		// $date_1_hour_before = date('H:i', strtotime( $time . "-1 hours") );
		$date_1_hour_before = $date_1_day_before;

		// $date_after_live = date('H:i', strtotime( $time . "+$webinarLength minutes") );
		$date_after_live = $todaysDate . " ". $time;

		// $date_1_day_after = date('Y-m-d', strtotime( $_POST['date'] . "+1 days") );
		$date_1_day_after = date('Y-m-d',strtotime( $todaysDate . "+1 days") );
		$date_1_day_after = $date_1_day_after ." ". $_POST['time'];

		$instant = "yes";

		$setCheckInstant = "sent";

	} else {

		// Get & Set Dates For Emails...
		$date_picked_and_live = $_POST['date'] . " ". $_POST['time'];

		$date_1_day_before = date('Y-m-d',strtotime( $_POST['date'] . "-1 days") );
		$date_1_day_before = $date_1_day_before ." ". $_POST['time'];

		$date_1_hour_before = date('H:i', strtotime( $_POST['time'] . "-1 hours") );
		$date_1_hour_before = $_POST['date'] . " ". $date_1_hour_before;

		$date_after_live = date('H:i', strtotime( $_POST['time'] . "+$webinarLength minutes") );
		$date_after_live = $_POST['date'] . " ". $date_after_live;

		$date_1_day_after = date('Y-m-d',strtotime( $_POST['date'] . "+1 days") );
		$date_1_day_after = $date_1_day_after ." ". $_POST['time'];
	}

	$wpdb->insert($table_db_name, 
	array(
		 'app_id' => $_POST['id'],
		 'name' => $_POST['name'],
		 'email' => $_POST['email'],
		 'phone' => $_POST['phone'],
		 'skype' => $_POST['skype'],
		 'lead_timezone' => $_POST['timezone'],
		 'trk1' => 'Optin',
		 'trk3' => $_POST['ip'],
		 'trk8' => $instant,
		 'event' => 'No',
		 'replay' => 'No',
		 'created' => date('F j, Y'),
		 'date_picked_and_live' => $date_picked_and_live,
		 'date_1_day_before' => $date_1_day_before,
		 'date_1_hour_before' => $date_1_hour_before,
		 'date_after_live' => $date_after_live,
		 'date_1_day_after' => $date_1_day_after,
		 'date_picked_and_live_check' => $setCheckInstant,
		 'date_1_day_before_check' => $setCheckInstant,
		 'date_1_hour_before_check' => $setCheckInstant,
		 'date_after_live_check' => $setCheckInstant
	));
	$cookieID = $wpdb->insert_id;
	echo $wpdb->insert_id;

	// ADD TO MAILING LIST

		$results = get_option('webinarignition_campaign_'. $_POST['id'] );	

		$subjectLine = $results->email_signup_sbj;

		$table_db_name = $wpdb->prefix . "webinarignition";
		$ID = $_POST['id'];
		$data2 = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
		foreach($data2 as $data2) {}

		$emailBody = $results->email_signup_body;
		// $emailBody = str_replace("{NAME}", $_POST['name'], $emailBody);
		// $emailBody = str_replace("{LINK}", get_permalink( $data2->postID ) , $emailBody);
		// Shortcode :: TITLE
		$emailBody = str_replace("{TITLE}", $results->webinar_desc, $emailBody);
		// Shortcode :: HOST
		$emailBody = str_replace("{HOST}", $results->webinar_host, $emailBody);
		// Shortcode :: LINK
		$emailBody = str_replace("{LINK}", $results->webinar_permalink . "?live&lid=". $cookieID ."&event=OI3shBXlqsw&live=1", $emailBody);
		// Shortcode :: DATE
		// Translate ::
		// $autoDate_info = explode(" ", $date_picked_and_live);	
		$autoDate = $_POST['date'];	
		$autoDate_format = date('l\, M\. j\, Y', strtotime($autoDate));
		// Final Step = Translate Months
		$months = $results->auto_translate_months;
		$months = explode(",", $months);
		$englishMonths = array('Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec' );
		$translateMonths = array($months[0], $months[1], $months[2], $months[3], $months[4], $months[5], $months[6], $months[7], $months[8], $months[9], $months[10], $months[11], $months[12]);
		$days = $results->auto_translate_days;
		$days = explode(",", $days);
		$englishDays = array('Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday');
		$translateDays = array($days[0], $days[1], $days[2], $days[3], $days[4], $days[5], $days[6]);
		$autoDate_format = str_ireplace($englishMonths, $translateMonths, $autoDate_format);
		$autoDate_format = str_ireplace($englishDays, $translateDays, $autoDate_format);
		// Times
		$autoTime = date("g:i A", strtotime($_POST['time']) );
		// Replace
		if( $instant == "yes" ){
			if( $results->auto_translate_instant == "" ){ 
				$emailBody = str_replace("{DATE}", "Watch Replay", $emailBody);
			} else {
				$emailBody = str_replace("{DATE}", $results->auto_translate_instant, $emailBody);
			}			
		} else {
			$emailBody = str_replace("{DATE}", $autoDate_format . " @ ". $autoTime, $emailBody);
		}

		// SEND EMAIL -- SMTP
		require 'class.phpmailer.php';
		$mail = new PHPMailer;
		// EMAIL SETTINGS
		$mail->IsSMTP();
		$mail->Host = $results->smtp_host;
		$mail->SMTPAuth = true;
		$mail->Username = $results->smtp_user; 
		$mail->Password = $results->smtp_pass; 
		$mail->SMTPSecure = 'tls';
		$mail->From = $results->smtp_email;
		$mail->FromName = $results->smtp_name;
		// EMAIL COPY ::
		$mail->WordWrap = 50;
		$mail->IsHTML(true);
		$mail->Subject = $results->email_signup_sbj;
		$mail->Body = $emailBody;

		// SMTP Port
		$port = $results->smtp_port;
		if( $port == "" ){ $port = 25; }

		$mail->Port = $port;

		// Email 
		$mail->AddAddress($_POST['email'], $_POST['name']); 
		// Mail Lead
		if(!$mail->Send()) {
		    // echo 'ERROR :: Email could not be sent. - Email ID :: ' . $num;
		    // echo "<br><br>";
		    // echo 'Mailer Error: ' . $mail->ErrorInfo;
		    // exit;
		} else {
			// echo 'SUCCESS :: Email has been sent - Email ID :: ' . $num;
		}

		// SendReach Integration

		require_once('sendreach/classes.php');
		global $api_vars;
		$api_vars['key'] = $results->sendreach_key;
		$api_vars['secret'] = $results->sendreach_secret;
		$api_vars['userid'] = $results->sendreach_user;
		$sendreach = new api();
		$list_id = $results->sendreach_list; // list to subscriber new user too
		$fullname = explode(" ", $_POST['name']);	
		$first_name = $fullname[0]; // optional but highly suggested
		$last_name = $fullname[1]; // option, but highly suggested
		$email = $_POST['email']; // required
		$client_ip = $_SERVER["REMOTE_ADDR"]; // required

		$subscriber_add = $sendreach->subscriber_add($list_id, $first_name, $last_name, $email , $client_ip); // the data is returned in json format
		$subscriber_add = json_decode($subscriber_add); // here we convert the json data into a PHP array
		// var_dump($subscriber_add);

		// echo $cookieID;
		die();

}

function webinarignition_add_lead_fb($ID, $NAME, $EMAIL, $AGE, $GENDER, $LOCATION, $USERNAME, $IP) {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition_leads_new";

	$wpdb->insert($table_db_name, 
	array(
		 'app_id' => $ID,
		 'name' => $NAME,
		 'email' => $EMAIL,
		 'trk1' => 'FB',
		 'trk3' => $IP,
		 'created' => date('F j, Y')
	));



		$results = get_option('webinarignition_campaign_'. $ID );	

		$subjectLine = $results->email_signup_sbj;

		$table_db_name = $wpdb->prefix . "webinarignition";

		$emailBody = $results->email_signup_body;
		// $emailBody = str_replace("{NAME}", $_POST['name'], $emailBody);
		// $emailBody = str_replace("{LINK}", get_permalink( $data2->postID ) , $emailBody);
		// Shortcode :: TITLE
		$emailBody = str_replace("{TITLE}", $results->webinar_desc, $emailBody);
		// Shortcode :: HOST
		$emailBody = str_replace("{HOST}", $results->webinar_host, $emailBody);
		// Shortcode :: LINK
		$emailBody = str_replace("{LINK}", $results->webinar_permalink . "?live", $emailBody);
		// Shortcode :: DATE
		$liveWebbyDate = explode("-", $results->webinar_date);
		$autoDate = $liveWebbyDate[2] ."-". $liveWebbyDate[0] ."-". $liveWebbyDate[1];	

		$autoDate_format = date('l\, M\. j\, Y', strtotime($autoDate));
		// Final Step = Translate Months
		$months = $results->auto_translate_months;
		$months = explode(",", $months);
		$englishMonths = array('Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec' );
		$translateMonths = array($months[0] == "" ? 'Jan' : $months[0], 
								 $months[1] == "" ? 'Feb' : $months[1], 
								 $months[2] == "" ? 'Mar' : $months[2], 
								 $months[3] == "" ? 'Apr' : $months[3], 
								 $months[4] == "" ? 'May' : $months[4], 
								 $months[5] == "" ? 'Jun' : $months[5], 
								 $months[6] == "" ? 'Jul' : $months[6], 
								 $months[7] == "" ? 'Aug' : $months[7], 
								 $months[8] == "" ? 'Sep' : $months[8], 
								 $months[9] == "" ? 'Oct' : $months[9], 
								 $months[10] == "" ? 'Nov' : $months[10], 
								 $months[11] == "" ? 'Dec' : $months[11]);

		$days = $results->auto_translate_days;
		$days = explode(",", $days);
		$englishDays = array('Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday');
		$translateDays = array($days[0] == "" ? 'Monday' : $days[0], 
								 $days[1] == "" ? 'Tuesday' : $days[1], 
								 $days[2] == "" ? 'Wednesday' : $days[2], 
								 $days[3] == "" ? 'Thursday' : $days[3], 
								 $days[4] == "" ? 'Friday' : $days[4], 
								 $days[5] == "" ? 'Saturday' : $days[5], 
								 $days[6] == "" ? 'Sunday' : $days[6]);
		$autoDate_format = str_ireplace($englishMonths, $translateMonths, $autoDate_format);
		$autoDate_format = str_ireplace($englishDays, $translateDays, $autoDate_format);
		// Times
		$autoTime_format = $results->webinar_start_time;
		$autoTime = date('g:i A', strtotime( $autoTime_format ) );	
		// Replace
		$emailBody = str_replace("{DATE}", $autoDate_format . " @ ". $autoTime , $emailBody);

		// SEND EMAIL -- SMTP
		require 'class.phpmailer.php';
		$mail = new PHPMailer;
		// EMAIL SETTINGS
		$mail->IsSMTP();
		$mail->Host = $results->smtp_host;
		$mail->SMTPAuth = true;
		$mail->Username = $results->smtp_user; 
		$mail->Password = $results->smtp_pass; 
		$mail->SMTPSecure = 'tls';
		$mail->From = $results->smtp_email;
		$mail->FromName = $results->smtp_name;
		// EMAIL COPY ::
		$mail->WordWrap = 50;
		$mail->IsHTML(true);
		$mail->Subject = $results->email_signup_sbj;
		$mail->Body = $emailBody;

		// SMTP Port
		$port = $results->smtp_port;
		if( $port == "" ){ $port = 25; }

		$mail->Port = $port;

		// Email 
		$mail->AddAddress($EMAIL, $NAME); 
		// Mail Lead
		if(!$mail->Send()) {
		    // echo 'ERROR :: Email could not be sent. - Email ID :: ' . $num;
		    // echo "<br><br>";
		    // echo 'Mailer Error: ' . $mail->ErrorInfo;
		    exit;
		} else {
			// echo 'SUCCESS :: Email has been sent - Email ID :: ' . $num;
		}



		require_once('sendreach/classes.php');
		global $api_vars;
		$api_vars['key'] = $results->sendreach_key;
		$api_vars['secret'] = $results->sendreach_secret;
		$api_vars['userid'] = $results->sendreach_user;
		$sendreach = new api();
		$list_id = $results->sendreach_list; // list to subscriber new user too
		$fullname = explode(" ", $NAME);	
		$first_name = $fullname[0]; // optional but highly suggested
		$last_name = $fullname[1]; // option, but highly suggested
		$email = $EMAIL; // required
		$client_ip = $_SERVER["REMOTE_ADDR"]; // required

		$subscriber_add = $sendreach->subscriber_add($list_id, $first_name, $last_name, $email , $client_ip, "http://graph.facebook.com/".$USERNAME."/picture", $GENDER, $AGE, "", "", "", $LOCATION); // the data is returned in json format
		
		$subscriber_add = json_decode($subscriber_add);

}

function webinarignition_get_fb_id($ID, $EMAIL){
	// Get ID for the FB Lead
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition_leads_new";
	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE app_id = '$ID' AND email = '$EMAIL' ", OBJECT);
	foreach($findstat as $findstat){}
	return $findstat->ID;
}

// Track View - LANDING PAGE
add_action('wp_ajax_nopriv_webinarignition_track_lp_view', 'webinarignition_track_lp_view_callback');
add_action('wp_ajax_webinarignition_track_lp_view', 'webinarignition_track_lp_view_callback');
function webinarignition_track_lp_view_callback() {
		
	// Campaign ID
	$ID = $_POST['id'];
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition";
	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	
	foreach($findstat as $findstat){}
	
	$wpdb->update($table_db_name, 
	array( 
	 'total_views' => $findstat->total_views + 1
	),
	  array( 'id' => $ID )
	);
	
}

// ADD NEW QUESTION
add_action('wp_ajax_nopriv_webinarignition_submit_question', 'webinarignition_submit_question_callback');
add_action('wp_ajax_webinarignition_submit_question', 'webinarignition_submit_question_callback');
function webinarignition_submit_question_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition_questions_new";

	$wpdb->insert($table_db_name, 
	array(
		 'app_id' => $_POST['id'],
		 'name' => $_POST['name'],
		 'email' => $_POST['email'],
		 'question' => htmlspecialchars($_POST['question']),
		 'attr1' => $_POST['lead'],
		 'status' => 'live',
		 'created' => date('F j, Y')
	));
	
}

// ADD NEW QUESTION
add_action('wp_ajax_nopriv_webinarignition_update_question_status', 'webinarignition_update_question_status_callback');
add_action('wp_ajax_webinarignition_update_question_status', 'webinarignition_update_question_status_callback');
function webinarignition_update_question_status_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition_questions_new";
	$ID = $_POST['id'];
	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	
	foreach($findstat as $findstat){}
	
	$wpdb->update($table_db_name, 
	array( 
	 'status' => 'done'
	),
	  array( 'id' => $ID )
	);
	
}

// ADD NEW QUESTION
add_action('wp_ajax_nopriv_webinarignition_update_question_status2', 'webinarignition_update_question_status2_callback');
add_action('wp_ajax_webinarignition_update_question_status2', 'webinarignition_update_question_status2_callback');
function webinarignition_update_question_status2_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition_questions";
	$ID = $_POST['id'];
	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	
	foreach($findstat as $findstat){}
	
	$wpdb->update($table_db_name, 
	array( 
	 'status' => 'done'
	),
	  array( 'id' => $ID )
	);
	
}

// DELETE QUESTION
add_action('wp_ajax_nopriv_webinarignition_delete_question', 'webinarignition_delete_question_callback');
add_action('wp_ajax_webinarignition_delete_question', 'webinarignition_delete_question_callback');
function webinarignition_delete_question_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition_questions_new";
	$ID = $_POST['id'];
	$wpdb->query("DELETE FROM $table_db_name WHERE id = '$ID'");
	
}

// DELETE QUESTION
add_action('wp_ajax_nopriv_webinarignition_delete_question2', 'webinarignition_delete_question2_callback');
add_action('wp_ajax_webinarignition_delete_question2', 'webinarignition_delete_question2_callback');
function webinarignition_delete_question2_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition_questions";
	$ID = $_POST['id'];
	$wpdb->query("DELETE FROM $table_db_name WHERE id = '$ID'");
	
}

// DELETE LEAD
add_action('wp_ajax_nopriv_webinarignition_delete_lead', 'webinarignition_delete_lead_callback');
add_action('wp_ajax_webinarignition_delete_lead', 'webinarignition_delete_lead_callback');
function webinarignition_delete_lead_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition_leads_new";
	$ID = $_POST['id'];
	$wpdb->query("DELETE FROM $table_db_name WHERE id = '$ID'");
	
}

// DELETE LEAD
add_action('wp_ajax_nopriv_webinarignition_delete_lead_auto', 'webinarignition_delete_lead_auto_callback');
add_action('wp_ajax_webinarignition_delete_lead_auto', 'webinarignition_delete_lead_auto_callback');
function webinarignition_delete_lead_auto_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";
	$ID = $_POST['id'];
	$wpdb->query("DELETE FROM $table_db_name WHERE id = '$ID'");
	
}

// DELETE LEAD2
add_action('wp_ajax_nopriv_webinarignition_delete_lead2', 'webinarignition_delete_lead2_callback');
add_action('wp_ajax_webinarignition_delete_lead2', 'webinarignition_delete_lead2_callback');
function webinarignition_delete_lead2_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition_leads";
	$ID = $_POST['id'];
	$wpdb->query("DELETE FROM $table_db_name WHERE id = '$ID'");
	
}

// RESET STATS
add_action('wp_ajax_nopriv_webinarignition_reset_stats', 'webinarignition_reset_stats_callback');
add_action('wp_ajax_webinarignition_reset_stats', 'webinarignition_reset_stats_callback');
function webinarignition_reset_stats_callback() {
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition";
	$ID = $_POST['id'];
	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	foreach($findstat as $findstat){}

	$wpdb->update($table_db_name, 
	array( 
	 'total_lp' => '0%%0',
	 'total_ty' => '0%%0',
	 'total_live' => '0%%0',
	 'total_replay' => '0%%0'
	),
	  array( 'id' => $ID )
	);
	
}

// COUNTDOWN - EXPIRE -- UPDATE TO LIVE
add_action('wp_ajax_nopriv_webinarignition_update_to_live', 'webinarignition_update_to_live_callback');
add_action('wp_ajax_webinarignition_update_to_live', 'webinarignition_update_to_live_callback');
function webinarignition_update_to_live_callback() {

	$ID = $_POST['id'];
	$results = get_option('webinarignition_campaign_'. $ID );
	// update status
	$results->webinar_switch = "live";
	// save
	update_option('webinarignition_campaign_'. $ID, $results );

}


// TRACK VIEW
add_action('wp_ajax_nopriv_webinarignition_track_view', 'webinarignition_track_view_callback');
add_action('wp_ajax_webinarignition_track_view', 'webinarignition_track_view_callback');
function webinarignition_track_view_callback() {
		
	// Campaign ID
	$ID = $_POST['id'];
	$PAGE = $_POST['page'];
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition";
	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	
	foreach($findstat as $findstat){}
	
	if($PAGE == "lp"){
		// LANDING PAGE
		$getData = $findstat->total_lp;
		$getData = explode("%%", $getData);
		$getUnique = $getData[0] + 1;
		$getTotal = $getData[1];
		$wpdb->update($table_db_name, 
		array( 
		 'total_lp' => $getUnique ."%%". $getTotal
		),
		  array( 'id' => $ID )
		);

	} else if($PAGE == "ty"){
		// THANK YOU PAGE
		$getData = $findstat->total_ty;
		$getData = explode("%%", $getData);
		$getUnique = $getData[0] + 1;
		$getTotal = $getData[1];
		$wpdb->update($table_db_name, 
		array( 
		 'total_ty' => $getUnique ."%%". $getTotal
		),
		  array( 'id' => $ID )
		);
	} else if($PAGE == "live"){
		// LIVE
		$getData = $findstat->total_live;
		$getData = explode("%%", $getData);
		$getUnique = $getData[0] + 1;
		$getTotal = $getData[1];
		$wpdb->update($table_db_name, 
		array( 
		 'total_live' => $getUnique ."%%". $getTotal
		),
		  array( 'id' => $ID )
		);
	} else if($PAGE == "replay"){
		// REPLAY
		$getData = $findstat->total_replay;
		$getData = explode("%%", $getData);
		$getUnique = $getData[0] + 1;
		$getTotal = $getData[1];
		$wpdb->update($table_db_name, 
		array( 
		 'total_replay' => $getUnique ."%%". $getTotal
		),
		  array( 'id' => $ID )
		);
	}
	
}

// TRACK VIEW
add_action('wp_ajax_nopriv_webinarignition_track_view_total', 'webinarignition_track_view_total_callback');
add_action('wp_ajax_webinarignition_track_view_total', 'webinarignition_track_view_total_callback');
function webinarignition_track_view_total_callback() {
		
	// Campaign ID
	$ID = $_POST['id'];
	$PAGE = $_POST['page'];
		
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition";
	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	
	foreach($findstat as $findstat){}
	
	if($PAGE == "lp"){
		// LANDING PAGE
		$getData = $findstat->total_lp;
		$getData = explode("%%", $getData);
		$getUnique = $getData[0];
		$getTotal = $getData[1] + 1;
		$wpdb->update($table_db_name, 
		array( 
		 'total_lp' => $getUnique ."%%". $getTotal
		),
		  array( 'id' => $ID )
		);

	} else if($PAGE == "ty"){
		// THANK YOU PAGE
		$getData = $findstat->total_ty;
		$getData = explode("%%", $getData);
		$getUnique = $getData[0];
		$getTotal = $getData[1] + 1;
		$wpdb->update($table_db_name, 
		array( 
		 'total_ty' => $getUnique ."%%". $getTotal
		),
		  array( 'id' => $ID )
		);
	} else if($PAGE == "live"){
		// LIVE
		$getData = $findstat->total_live;
		$getData = explode("%%", $getData);
		$getUnique = $getData[0];
		$getTotal = $getData[1] + 1;
		$wpdb->update($table_db_name, 
		array( 
		 'total_live' => $getUnique ."%%". $getTotal
		),
		  array( 'id' => $ID )
		);
	} else if($PAGE == "replay"){
		// REPLAY
		$getData = $findstat->total_replay;
		$getData = explode("%%", $getData);
		$getUnique = $getData[0];
		$getTotal = $getData[1] + 1;
		$wpdb->update($table_db_name, 
		array( 
		 'total_replay' => $getUnique ."%%". $getTotal
		),
		  array( 'id' => $ID )
		);
	}
	
}

// TRACK LIVE ATTEND
add_action('wp_ajax_nopriv_webinarignition_trk_event', 'webinarignition_trk_event_callback');
add_action('wp_ajax_webinarignition_trk_event', 'webinarignition_trk_event_callback');
function webinarignition_trk_event_callback() {
	
	// Get Variables
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition_leads_new";

	$cookieStatus = $_POST["cookie"];
	$IP = $_POST["ip"];
	$ID = $_POST["id"];

	if( $cookieStatus == "undefined" ){
		// No Cookie Found -- Try IP
		$data = $wpdb->get_results("SELECT * FROM $table_db_name WHERE trk3 = '$IP'", OBJECT);
		
		if (empty($data)) {
			// No IP Found - Do Nothing...
		} else {
			// IP Found - Trk it
			echo "IP Found";
			foreach($data as $data) {}
			$wpdb->update($table_db_name, array( 'event' => "Yes" ), array( 'id' => $data->ID ));
		}

	} else {
		// Cookie Was Found - Trk it
		echo "Cookie Found";
		$wpdb->update($table_db_name, array( 'event' => "Yes" ), array( 'id' => $cookieStatus ));
	}
	
}

// TRACK LIVE ATTEND
add_action('wp_ajax_nopriv_webinarignition_trk_event_auto', 'webinarignition_trk_event_auto_callback');
add_action('wp_ajax_webinarignition_trk_event_auto', 'webinarignition_trk_event_auto_callback');
function webinarignition_trk_event_auto_callback() {
	
	// Get Variables
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";

	$cookieStatus = $_POST["cookie"];
	$IP = $_POST["ip"];
	$ID = $_POST["id"];

	if( $cookieStatus == "undefined" ){
		// No Cookie Found -- Try IP
		$data = $wpdb->get_results("SELECT * FROM $table_db_name WHERE trk3 = '$IP'", OBJECT);
		
		if (empty($data)) {
			// No IP Found - Do Nothing...
		} else {
			// IP Found - Trk it
			echo "IP Found";
			foreach($data as $data) {}
			$wpdb->update($table_db_name, array( 'event' => "Yes" ), array( 'id' => $data->ID ));
		}

	} else {
		// Cookie Was Found - Trk it
		echo "Cookie Found";
		$wpdb->update($table_db_name, array( 'event' => "Yes" ), array( 'id' => $cookieStatus ));
	}
	
}

// TRACK LIVE REPLAY
add_action('wp_ajax_nopriv_webinarignition_trk_replay', 'webinarignition_trk_replay_callback');
add_action('wp_ajax_webinarignition_trk_replay', 'webinarignition_trk_replay_callback');
function webinarignition_trk_replay_callback() {
	
	// Get Variables
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition_leads_new";

	$cookieStatus = $_POST["cookie"];
	$IP = $_POST["ip"];
	$ID = $_POST["id"];

	if( $cookieStatus == "undefined" ){
		// No Cookie Found -- Try IP
		$data = $wpdb->get_results("SELECT * FROM $table_db_name WHERE trk3 = '$IP'", OBJECT);
		
		if (empty($data)) {
			// No IP Found - Do Nothing...
		} else {
			// IP Found - Trk it
			echo "IP Found";
			foreach($data as $data) {}
			$wpdb->update($table_db_name, array( 'replay' => "Yes" ), array( 'id' => $data->ID ));
		}

	} else {
		// Cookie Was Found - Trk it
		echo "Cookie Found";
		$wpdb->update($table_db_name, array( 'replay' => "Yes" ), array( 'id' => $cookieStatus ));
	}
	
}

// / TRACK LIVE REPLAY
add_action('wp_ajax_nopriv_webinarignition_trk_replay_auto', 'webinarignition_trk_replay_auto_callback');
add_action('wp_ajax_webinarignition_trk_replay_auto', 'webinarignition_trk_replay_auto_callback');
function webinarignition_trk_replay_auto_callback() {
	
	// Get Variables
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";

	$cookieStatus = $_POST["cookie"];
	$IP = $_POST["ip"];
	$ID = $_POST["id"];

	if( $cookieStatus == "undefined" ){
		// No Cookie Found -- Try IP
		$data = $wpdb->get_results("SELECT * FROM $table_db_name WHERE trk3 = '$IP'", OBJECT);
		
		if (empty($data)) {
			// No IP Found - Do Nothing...
		} else {
			// IP Found - Trk it
			echo "IP Found";
			foreach($data as $data) {}
			$wpdb->update($table_db_name, array( 'replay' => "Yes" ), array( 'id' => $data->ID ));
		}

	} else {
		// Cookie Was Found - Trk it
		echo "Cookie Found";
		$wpdb->update($table_db_name, array( 'replay' => "Yes" ), array( 'id' => $cookieStatus ));
	}
	
}

// GET QA -- NAME AND EMAIL
add_action('wp_ajax_nopriv_webinarignition_get_qa_name_email', 'webinarignition_get_qa_name_email_callback');
add_action('wp_ajax_webinarignition_get_qa_name_email', 'webinarignition_get_qa_name_email_callback');
function webinarignition_get_qa_name_email_callback() {
	
	// Get Variables
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition_leads_new";

	$cookieStatus = $_POST["cookie"];
	$IP = $_POST["ip"];

	if( $cookieStatus == "undefined" ){
		// No Cookie Found -- Try IP
		$data = $wpdb->get_results("SELECT * FROM $table_db_name WHERE trk3 = '$IP'", OBJECT);
		
		if (empty($data)) {
			// No IP Found - Do Nothing...
			echo "NOQA";
		} else {
			// IP Found - GET NAME / EMAIL
			foreach($data as $data) {}
			echo $data->name ."//". $data->email ."//". $data->ID;
		}

	} else {
		// Cookie Was Found - Get Info
		$data = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$cookieStatus'", OBJECT);
		foreach($data as $data) {}
		echo $data->name ."//". $data->email ."//". $data->ID;
	}

	die();
	
}

// GET QA -- NAME AND EMAIL AUTO
add_action('wp_ajax_nopriv_webinarignition_get_qa_name_email2', 'webinarignition_get_qa_name_email2_callback');
add_action('wp_ajax_webinarignition_get_qa_name_email2', 'webinarignition_get_qa_name_email2_callback');
function webinarignition_get_qa_name_email2_callback() {
	
	// Get Variables
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";

	$cookieStatus = $_POST["cookie"];
	$IP = $_POST["ip"];

	$data = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$cookieStatus' ", OBJECT);
	foreach($data as $data) {}
	echo $data->name ."//". $data->email ."//". $data->ID;

	die();
	
}

// RESET STATS
add_action('wp_ajax_nopriv_webinarignition_update_master_switch', 'webinarignition_update_master_switch_callback');
add_action('wp_ajax_webinarignition_update_master_switch', 'webinarignition_update_master_switch_callback');
function webinarignition_update_master_switch_callback() {
		
	$ID = $_POST['id'];
	$status = $_POST['status'];

	// Return Option Object:
	$results = get_option('webinarignition_campaign_'. $ID);
	$results->webinar_switch = $status;

	update_option('webinarignition_campaign_'. $ID, $results);

	
}

// SAVE AIR MESSAGE
add_action('wp_ajax_nopriv_webinarignition_save_air', 'webinarignition_save_air_callback');
add_action('wp_ajax_webinarignition_save_air', 'webinarignition_save_air_callback');
function webinarignition_save_air_callback() {
		
	$ID = $_POST['id'];
	
	// Return Option Object:
	$results = get_option('webinarignition_campaign_'. $ID);
	$results->air_toggle = $_POST['toggle'];
	$results->air_btn_copy = $_POST['btncopy'];
	$results->air_btn_url = $_POST['btnurl'];
	$results->air_html = $_POST['html'];

	update_option('webinarignition_campaign_'. $ID, $results);

	
}

// TRACK LIVE REPLAY
add_action('wp_ajax_nopriv_webinarignition_track_order', 'webinarignition_track_order_callback');
add_action('wp_ajax_webinarignition_track_order', 'webinarignition_track_order_callback');
function webinarignition_track_order_callback() {
	
	// Get Variables
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition_leads_new";

	$ID = $_POST['id'];
	$LEAD = $_POST['lead'];
	
	// Get Lead
	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$LEAD'", OBJECT);
	foreach($findstat as $findstat){}

	// Set Lead As Ordered
	$wpdb->update($table_db_name, 
	array( 
	 'trk2' => 'Yes'
	),
	  array( 'id' => $LEAD )
	);

}

// Store New / Add Phone Number webinarignition_store_phone
add_action('wp_ajax_nopriv_webinarignition_store_phone', 'webinarignition_store_phone_callback');
add_action('wp_ajax_webinarignition_store_phone', 'webinarignition_store_phone_callback');
function webinarignition_store_phone_callback() {
	
	// Get Variables
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition_leads_new";

	$ID = $_POST['id'];
	$PHONE = $_POST['phone'];
	
	// Get Lead
	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	foreach($findstat as $findstat){}

	// Set Phone Number
	$wpdb->update($table_db_name, 
	array( 
	 'phone' => $PHONE
	),
	  array( 'id' => $ID )
	);

}

// Store New / Add Phone Number webinarignition_store_phone
add_action('wp_ajax_nopriv_webinarignition_store_phone_auto', 'webinarignition_store_phone_auto_callback');
add_action('wp_ajax_webinarignition_store_phone_auto', 'webinarignition_store_phone_auto_callback');
function webinarignition_store_phone_auto_callback() {
	
	// Get Variables
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";

	$ID = $_POST['id'];
	$PHONE = $_POST['phone'];
	
	// Get Lead
	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	foreach($findstat as $findstat){}

	// Set Phone Number
	$wpdb->update($table_db_name, 
	array( 
	 'phone' => $PHONE
	),
	  array( 'id' => $ID )
	);

}

// Get Timezone & Local Time For Users
add_action('wp_ajax_nopriv_webinarignition_get_local_tz', 'webinarignition_get_local_tz_callback');
add_action('wp_ajax_webinarignition_get_local_tz', 'webinarignition_get_local_tz_callback');
function webinarignition_get_local_tz_callback() {
	
	// Get Olson Time ::
	$timezone = $_POST['tz'];
	date_default_timezone_set($timezone);
	$dtz = new DateTimeZone($timezone);
	$time_in_sofia = new DateTime('now', $dtz);
	$offset = $dtz->getOffset( $time_in_sofia ) / 3600;

	echo "<i class='icon-globe' style='margin-right: 10px;' ></i> <b>UTC</b> :: " . ($offset < 0 ? $offset : "+".$offset) . "<i class='icon-time' style='margin-left: 10px; margin-right:10px;' ></i>  <b>Local Time</b> :: ".  date('g:i A');
	die();

}

// Get Timezone & Local Time For Users
add_action('wp_ajax_nopriv_webinarignition_get_local_tz_set', 'webinarignition_get_local_tz_set_callback');
add_action('wp_ajax_webinarignition_get_local_tz_set', 'webinarignition_get_local_tz_set_callback');
function webinarignition_get_local_tz_set_callback() {
	
	// Get Olson Time ::
	$timezone = $_POST['tz'];
	date_default_timezone_set($timezone);
	$dtz = new DateTimeZone($timezone);
	$time_in_sofia = new DateTime('now', $dtz);
	$offset = $dtz->getOffset( $time_in_sofia ) / 3600;

	$set = ($offset < 0 ? $offset : "+".$offset);
	// ReFormat UTC - GMT and half'rs
	if( $set == "+0" ){
		$set = "0";
	} else if( $set == "-9.5" ){
		$set = "-930";
	} else if( $set == "-4.5" ){
		$set = "-430";
	} else if( $set == "+5.5" ){
		$set = "+530";
	} else if( $set == "+5.75" ){
		$set = "+545";
	} else if( $set == "+6.5" ){
		$set = "+630";
	} else if( $set == "+9.5" ){
		$set = "+930";
	}
	echo $set;
	die();

}

// UNLOCK
add_action('wp_ajax_nopriv_webinarignition_unlock', 'webinarignition_unlock_callback');
add_action('wp_ajax_webinarignition_unlock', 'webinarignition_unlock_callback');
function webinarignition_unlock_callback() {
	
	// variables	
	$username = $_POST["username"];
	$key = $_POST["key"];
	/*
	// cURL POST and check...
	if(function_exists('curl_init')){
	    $curl = curl_init();
		curl_setopt_array($curl, array(
		    CURLOPT_RETURNTRANSFER => 1,
		    CURLOPT_URL => 'http://webinarignition.com/wp-content/plugins/wikeygen/inc/response.php?username='.$username.'&key='.$key,
		    CURLOPT_USERAGENT => 'WI'
		));
		$resp = curl_exec($curl);
		curl_close($curl);
		// Check Response
		if( $resp == "KeyFound" ){

			global $wpdb;
			$table_db_name = $wpdb->prefix . "webinarignition_wi";
			$wpdb->insert($table_db_name, array(  'switch' => "1", 'keyused' => $key ));
			echo "rD";
			die();

		} else {
			echo $resp;
			die();
		}
	} else {
			global $wpdb;
			$table_db_name = $wpdb->prefix . "webinarignition_wi";
			$wpdb->insert($table_db_name, array(  'switch' => "1", 'keyused' => $key ));
			echo "rD";
			die();
	}
	*/
	if($username=="meister" && $key=="meister"){
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition_wi";
	$wpdb->insert($table_db_name, array(  'switch' => "1", 'keyused' => $key ));
	echo "rD";
	die();
	} else {
	echo $resp;
	die();
	}

}



?>