<?php
	
	// universal variables
	$full_path = get_site_url();
	$assets = $full_path . "/wp-content/plugins/webinarignition/inc/lp/";

	// Get DB Info
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition";
	$ID = $client;
	$data = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	foreach($data as $data) {}
  	
  	$pluginName = "webinarignition";
  	$sitePath = site_url() . "/wp-content/plugins/". $pluginName;

	// Get Results
	$id = $client;
	$results = get_option('webinarignition_campaign_'. $id);

	include_once("fbaccess.php");

	// var_dump($results);

?>
<!DOCTYPE html>
<html>
<head>
	
	<title><?php display($results->lp_metashare_title, "Amazing Webinar"); ?></title>
	<meta name="description" content="<?php display($results->lp_metashare_desc, "Join this amazing webinar May the 4th, and discover industry trade secrets!"); ?>">
	<?php if( $results->ty_share_image == "" ){} else{ ?><meta property="og:image" content="<?php display($results->ty_share_image, ""); ?>"/><?php } ?>

	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
	<!-- <meta name="viewport" content="width=320"> -->

	<link href="<?php echo $assets; ?>css/normalize.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/foundation.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/main.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/ss.css" rel="stylesheet" type="text/css" />

	<!-- <link href="<?php echo $assets; ?>css/cpres.css" rel="stylesheet" type="text/css" /> -->

	<link href="<?php echo $assets; ?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/font-awesome-ie7.min.css" rel="stylesheet" type="text/css" />

	<?php include("css/lp_css.php"); ?>

	<!-- CUSTOM JS -->
	<script type="text/javascript">
		<?php display($results->custom_lp_js, ""); ?>
	</script>
	<!-- CUSTOM CSS -->
	<style type="text/css">
		<?php display($results->custom_lp_css, ""); ?>
	</style>


</head>
<body>

<!-- TOP AREA -->
<div class="topArea">
	<div class="bannerTop">
		<?php if( $results->lp_banner_image == "" ){ 
			// echo "NONE"; 
		} else { 
			echo "<img src='$results->lp_banner_image' />"; 
		} ?>
	</div>
</div>

<!-- Main Area -->
<div class="mainWrapper">

	<!-- HEADLINE AREA -->
	<div class="headlineArea" style="display: <?php if( $results->lp_main_headline == "" ){ echo "none"; } else { echo "block"; } ?>;" >
		<?php 
			display(
				$results->lp_main_headline, ''
			); 
		?>
	</div>

	<!-- MAIN AREA -->
	<div class="cpWrapper">

		<div class="cpLeftSide">
			left
		</div>

		<div class="cpRightSide">
			right
		</div>

		<br clear="both" />

	</div>

</div>

<!-- BOTTOM AREA -->
<div class="bottomArea">
	<div><?php display( $results->footer_copy, "All Rights Reserved - Copyright @ 2013" ); ?></div>
	<?php if($results->footer_branding == "show" || $results->footer_branding == "" ){ ?>
	<div style="margin-top: 15px;" ><a href="<?php display( $results->footer_branding_url, "http://webinarignition.com/" ); ?>" target="_blank" ><b><?php display( $results->footer_branding_copy, "Powered By WebinarIgnition" ); ?></b></a></div>
	<?php } ?>
</div>

<!-- AR OPTIN INTEGRATION -->
<div class="arintegration" style="display:none;" >

<form action="<?php echo $results->ar_url; ?>" id="AR-INTEGRATION" method="POST" >

	<?php echo stripcslashes($results->ar_hidden); ?>

	<?php
	if( $results->lp_optin_name_setting == "" || $results->lp_optin_name_setting == "full" ){
	?>
		<input type="text" name="<?php echo $results->ar_name; ?>" id="ar-name" value="" />
	<?php
	} else {
	?>
		<input type="text" name="<?php echo $results->ar_name; ?>" id="ar-name" value="" />
		<input type="text" name="<?php echo $results->ar_lname; ?>" id="ar-lname" value="" />	
	<?php	
	}
	?>

	
	<input type="text" name="<?php echo $results->ar_email; ?>" id="ar-email" value="" />

	<input type="text" name="<?php echo $results->ar_phone; ?>" id="ar-phone" value="" />

	<input type="text" name="<?php echo $results->ar_skype; ?>" id="ar-skype" value="" />

</form>

</div>

<!-- JS AREA -->
<!-- <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7/jquery.min.js"></script> -->
<script src="<?php echo $assets; ?>/js/jquery.js"></script>
<script type="text/javascript" src="<?php echo $assets; ?>js/cookie.js"></script>

<script type="text/javascript">
$(document).ready(function() {
	// AJAX FOR WP
	var ajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>';

	// VIDEO FIXES:
	$("iframe").height(308);
	$("iframe").width(410);
	// Set video EMBED
	$("embed").height(308);
	$("embed").width(410);
	// Set video OBJECT
	$("object").height(308);
	$("object").width(410);	

	// TRACK +1 VIEW
	$getTrackingCookie = $.cookie('we-trk-lp-<?php echo $client; ?>');

	if( $getTrackingCookie != "tracked" ){
		// No Cookie Set - Track View
		$.cookie('we-trk-lp-<?php echo $client; ?>', "tracked", { expires: 30 });
    	var data = { action: '<?php echo $pluginName; ?>_track_view', id: "<?php echo $client; ?>", page: "lp" };
    	$.post( ajaxurl, data, function(results) {});
	} else {
		// Already tracked...
	}



	// OPTIN - STORE LEAD
	$('#optinBTN').click(function() {
		
		// Get Info
		$fullName = $("#optName").val();

		$firstName = $("#optFName").val();
		$lastName = $("#optLName").val();

		if( $fullName == "#firstlast#" ){
			// using first & last name
			$fullName = $firstName +" "+ $lastName;
			$("#ar-name").val($firstName);
			$("#ar-lname").val($lastName);
		} else {
			// just full name
			$("#ar-name").val($fullName);
		}

		$email = $("#optEmail").val();

		$phone = $("#optPhone").val();
		$skype = $("#optSkype").val();

		// Set AR Form
		$("#ar-email").val($email);
		$("#ar-phone").val($phone);
		$("#ar-skype").val($skype);
		
		// Validation
		if( $fullName == "" ){
			
			$("#optName").addClass("errorField");
		
		} else if ( $email == "" ){
			
			// Name is good
			$("#optName").removeClass("errorField");
			$("#optName").addClass("successField");
			// no email set
			$("#optEmail").addClass("errorField");

		} else {

			// Check if email is real email
			if( validateEmail($email) ){
				// alert("Good");
				$("#optEmail").addClass("successField");

				// Store Lead - Data
				var data = { 
					action: '<?php echo $pluginName; ?>_add_lead', 
					id: "<?php echo $client; ?>",
					name: ""+$fullName+"",
					email: ""+$email+"",
					phone: ""+$phone+"",
					skype: ""+$skype+"",
					ip: "<?php echo $_SERVER['REMOTE_ADDR']; ?>"
				};
				// Store Lead - Post
	        	$.post( ajaxurl, data, function(results) {
	        		// Lead Saved..

	        		// Set Cookie - Signed Up
	        		$.cookie('we-trk-<?php echo $client; ?>', results, { expires: 30 });

	        		// Check if AR is setup or not..
					$arCheck = "<?php display($results->ar_url, 'none'); ?>";

					if( $arCheck == "none" ){
						// Redirect To Thank You Page
						window.location.href = "?confirmed";
					} else {
						// Submit AR Form
						$("#AR-INTEGRATION").submit();
					}

	        	});

			} else {
				// alert("Bad");
				// Email isn't a real email
				$("#optName").removeClass("errorField");
				$("#optName").addClass("successField");
				$("#optEmail").addClass("errorField");
			}

		}
	
	  return false;
	});

			// Validate Function
			function validateEmail(email) {
			    var re = /\S+@\S+/;
			    return re.test(email);
			}

	 	// Mobile Video Size
        $width = $(window).width();

        if( $width < "480" ){
        	// VIDEO FIXES:
			$("iframe").height(209);
			$("iframe").width(278);
			// Set video EMBED
			$("embed").height(209);
			$("embed").width(278);
			// Set video OBJECT
			$("object").height(209);
			$("object").width(278);	
        }		

});
</script>

<!-- FB CONNECT AREA -->
	<?php if(!$user) {} else { 
		// FB CONNECTED --
		if (isset($_GET['code'])) {
			// JUST CONNECTED - STORE LEAD - REDIRECT TO AR OR THANK YOU PAGE
			// var_dump($user_info);
			// echo "<br><br>";
			// echo $user_info['birthday'];
			// echo "<br><br>";
			
			webinarignition_add_lead_fb($ID, $user_info['name'], $user_info['email'], $user_info['birthday'], $user_info['gender'], $user_info['location']['name'], $user_info['username'], $_SERVER['REMOTE_ADDR']);
			if( $results->ar_url == "" ){
				// ASSUME AR NOT SET - NOT POST URL
				// JS REDIRECT TO TY PAGE
				?>
				<script type="text/javascript">
					// Set Cookie - Signed Up
	        		$.cookie('we-trk-<?php echo $client; ?>', 'signedup', { expires: 30 });
					window.location.replace("<?php echo get_permalink($data->postID); ?>?confirmed");
				</script>
				<?php
			} else {
				// ASSUME AR IS SETUP - THEY HAVE A POST URL
				// JS REDIRECT TO AR SUBMIT
				?>
				<script type="text/javascript">
					// Set Cookie - Signed Up
	        		$.cookie('we-trk-<?php echo $client; ?>', '', { expires: 30 });
					window.location.replace("<?php echo $assets.'arsubmit.php?id='.$ID.'&n='.$user_info['name'].'&e='. $user_info['email']; ?>");
				</script>
				<?php
			}

		    
		}
	}
	?>

</body>
</html>