<div class="tabber" id="tab8" style="display: none;">

	<div class="titleBar">
		<h2>Webinar Notification Setting:</h2>
		<p>Here you can manage the notification emails & txt for the webinar...</p>
	</div>

	<?php

	// display_tutorial(
	// 	"Email Notication & SendGrid Settings Video Tutorial:",
	// 	"http://webinarignition.com/members/download-training/"
	// );
		
	?>

	<?php

	display_edit_toggle(
		"cogs",
		"SMTP Integration -- SendGrid / PostMark / Mandrill / Amazon SES",
		"we_edit_smtp_int",
		"Your settings for sending out emails with 3rd party mail API services..."
	);

	?>

	<div id="we_edit_smtp_int" class="we_edit_area" >
	<?php

	if( $results->webinar_date == "AUTO" ){
		display_field( 
			$_GET['id'],
			site_url() . "/wp-content/plugins/webinarignition/inc/schedule_email_auto.php?id=". $_GET['id'],
			"Cronjob URL:", 
			"cronjoburl",
			"This is the URL that should be setup with your Cronjob... <br><br>
			<a href='http://webinarignition.com/docs/cron_auto.pdf' target='_blank' ><b>Cronjob Setup Tutorial</b></a>",
			"Cronjob URL..."
		);
	} else {
		display_field( 
			$_GET['id'],
			site_url() . "/wp-content/plugins/webinarignition/inc/schedule_email_live.php?id=". $_GET['id'],
			"Cronjob URL:", 
			"cronjoburl",
			"This is the URL that should be setup with your Cronjob... <br><br>
			<a href='http://webinarignition.com/docs/cron_live.pdf' target='_blank' ><b>Cronjob Setup Tutorial</b></a>",
			"Cronjob URL..."
		);
	}


	display_field( 
		$_GET['id'],
		$results->smtp_host,
		"SMTP Host:", 
		"smtp_host",
		"This is your SMTP host, you can get this from your email provider... <br><br>
		<a href='http://webinarignition.com/docs/SMTP_mandrill.pdf' target='_blank' ><b>Mandrill Integration Tutorial</b></a><br><br>
		<a href='http://webinarignition.com/docs/SMTP_sendgrid.pdf' target='_blank' ><b>SendGrid Integration Tutorial</b></a><br><br>
		<a href='http://webinarignition.com/docs/SMTP_postmark.pdf' target='_blank' ><b>Postmark Integration Tutorial</b></a>",
		"SMTP Host..."
	);

	display_field( 
		$_GET['id'],
		$results->smtp_port,
		"SMTP Port:", 
		"smtp_port",
		"This is your SMTP port, you can get this from your email provider... read Help PDF",
		"SMTP Port..."
	);

	display_field( 
		$_GET['id'],
		$results->smtp_user,
		"SMTP Username:", 
		"smtp_user",
		"This is your SMTP username...",
		"SMTP Username..."
	);

	display_field( 
		$_GET['id'],
		$results->smtp_pass,
		"SMTP Password:", 
		"smtp_pass",
		"This is your SMTP password...",
		"SMTP Password..."
	);

	display_field( 
		$_GET['id'],
		$results->smtp_name,
		"From Name:", 
		"smtp_name",
		"This is the name that the email will be from...",
		"Your Name..."
	);

	display_field( 
		$_GET['id'],
		$results->smtp_email,
		"From Email:", 
		"smtp_email",
		"This is email that your email will be sent out (the reply to email)...",
		"Your Email..."
	);

	display_info(
		"SMTP Help:",
		"Read the PDF for help with Connecting with SendGrid, Mandrill, PostMarkApp and Gmail.. LINK HERE"
	);

	?>
	</div>

	<?php
	display_edit_toggle(
		"envelope",
		"On Sign Up Email - First Email",
		"we_edit_email_signup",
		"This is the email copy that is sent out when they first sign up..."
	);

	?>

	<div id="we_edit_email_signup" class="we_edit_area" >
		<?php
		display_field( 
			$_GET['id'],
			$results->email_signup_sbj,
			"Sign Up Email Subject", 
			"email_signup_sbj",
			"This is the sign up email subject line...",
			""
		);
		display_wpeditor( 
			$_GET['id'],
			$results->email_signup_body,
			"Email Body Copy", 
			"email_signup_body",
			"This your email body copy..."
		);

		display_info(
			"Supported Email Shortcodes:",
			"Lead Email: {EMAIL} - Webinar Link: {LINK} - Date: {DATE} - Title: {TITLE} -  HOST: {HOST}"
		);

		?>
	</div>

	

	<?php

	display_edit_toggle(
		"envelope-alt",
		"Reminder - 1 Day Before Webinar",
		"we_edit_email_signup_2",
		"This email is sent out 1 day before the webinar..."
	);

	?>

	<div id="we_edit_email_signup_2" class="we_edit_area" >
		
		<?php
		display_option( 
			$_GET['id'],
			$results->email_notiff_1,
			"Toggle Email Notification #1", 
			"email_notiff_1",
			"You can have this notification sent out or not...",
			"Enable Email Notification [on], Disable Email Notification [off]"
		);
		?>
		<div class="email_notiff_1" id="email_notiff_1_on" >	
	
		<?php
		display_field( 
			$_GET['id'],
			$results->email_notiff_sbj_1,
			"Sign Up Email Subject", 
			"email_notiff_sbj_1",
			"This is the sign up email subject line...",
			"Email Subject Line..."
		);
		display_wpeditor( 
			$_GET['id'],
			$results->email_notiff_body_1,
			"Email Body Copy", 
			"email_notiff_body_1",
			"This your email that is sent out. Formatted with HTML..."
		);

		if( $results->webinar_date == "AUTO" ){
			// show nothing...
		} else {

			display_date( 
				$_GET['id'],
				$results->email_notiff_date_1,
				"Scheduled Date", 
				"email_notiff_date_1",
				"This is the date on which this email is out sent out...",
				"Scheduled Date..."
			);

			display_time( 
				$_GET['id'],
				$results->email_notiff_time_1,
				"Scheduled Time", 
				"email_notiff_time_1",
				"This is the time that the will be sent out on the date (above)..."
			);

			display_option( 
				$_GET['id'],
				$results->email_notiff_status_1,
				"Status Of Email", 
				"email_notiff_status_1",
				"This will tell if this email was sent out or not. If it was sent, and you want to change the date, remember to change this back to not sent...",
				"Email Queued [queued], Email Has Been Sent [sent]"
			);

		}

		display_info(
			"Supported Email Shortcodes:",
			"Lead Email: {EMAIL} - Webinar Link: {LINK} - Date: {DATE} - Title: {TITLE} -  HOST: {HOST}"
		);
		?>
		</div>
	</div>

	<?php

	display_edit_toggle(
		"envelope-alt",
		"Reminder - 1 Hour Before Webinar",
		"we_edit_email_signup_3",
		"This email is sent out 1 hour before the webinar..."
	);

	?>

	<div id="we_edit_email_signup_3" class="we_edit_area" >
		<?php
		display_option( 
			$_GET['id'],
			$results->email_notiff_2,
			"Toggle Email Notification #2", 
			"email_notiff_2",
			"You can have this notification sent out or not...",
			"Enable Email Notification [on], Disable Email Notification [off]"
		);
		?>
		<div class="email_notiff_2" id="email_notiff_2_on" >	
	
		<?php
		display_field( 
			$_GET['id'],
			$results->email_notiff_sbj_2,
			"Sign Up Email Subject", 
			"email_notiff_sbj_2",
			"This is the sign up email subject line...",
			"Email Subject Line..."
		);
		display_wpeditor( 
			$_GET['id'],
			$results->email_notiff_body_2,
			"Email Body Copy", 
			"email_notiff_body_2",
			"This your email that is sent out. Formatted with HTML..."
		);

		if( $results->webinar_date == "AUTO" ){
			// show nothing...
		} else {

			display_date( 
				$_GET['id'],
				$results->email_notiff_date_2,
				"Scheduled Date", 
				"email_notiff_date_2",
				"This is the date on which this email is out sent out...",
				"Scheduled Date..."
			);

			display_time( 
				$_GET['id'],
				$results->email_notiff_time_2,
				"Scheduled Time", 
				"email_notiff_time_2",
				"This is the time that the will be sent out on the date (above)..."
			);

			display_option( 
				$_GET['id'],
				$results->email_notiff_status_2,
				"Status Of Email", 
				"email_notiff_status_2",
				"This will tell if this email was sent out or not. If it was sent, and you want to change the date, remember to change this back to not sent...",
				"Email Queued [queued], Email Has Been Sent [sent]"
			);

		}

		display_info(
			"Supported Email Shortcodes:",
			"Lead Email: {EMAIL} - Webinar Link: {LINK} - Date: {DATE} - Title: {TITLE} -  HOST: {HOST}"
		);
		?>
		</div>
	</div>

	<?php
	display_edit_toggle(
		"envelope-alt",
		"Reminder - When Webinar Goes Live",
		"we_edit_email_signup_4",
		"This email is sent out when the webinar is live..."
	);
	?>

	<div id="we_edit_email_signup_4" class="we_edit_area" >
		<?php
		display_option( 
			$_GET['id'],
			$results->email_notiff_3,
			"Toggle Email Notification #3", 
			"email_notiff_3",
			"You can have this notification sent out or not...",
			"Enable Email Notification [on], Disable Email Notification [off]"
		);
		?>
		<div class="email_notiff_3" id="email_notiff_3_on" >	
	
		<?php
		display_field( 
			$_GET['id'],
			$results->email_notiff_sbj_3,
			"Sign Up Email Subject", 
			"email_notiff_sbj_3",
			"This is the sign up email subject line...",
			"Email Subject Line..."
		);
		display_wpeditor( 
			$_GET['id'],
			$results->email_notiff_body_3,
			"Email Body Copy", 
			"email_notiff_body_3",
			"This your email that is sent out. Formatted with HTML..."
		);

		if( $results->webinar_date == "AUTO" ){
			// show nothing...
		} else {

			display_date( 
				$_GET['id'],
				$results->email_notiff_date_3,
				"Scheduled Date", 
				"email_notiff_date_3",
				"This is the date on which this email is out sent out...",
				"Scheduled Date..."
			);

			display_time( 
				$_GET['id'],
				$results->email_notiff_time_3,
				"Scheduled Time", 
				"email_notiff_time_3",
				"This is the time that the will be sent out on the date (above)..."
			);

			display_option( 
				$_GET['id'],
				$results->email_notiff_status_3,
				"Status Of Email", 
				"email_notiff_status_3",
				"This will tell if this email was sent out or not. If it was sent, and you want to change the date, remember to change this back to not sent...",
				"Email Queued [queued], Email Has Been Sent [sent]"
			);

		}

		display_info(
			"Supported Email Shortcodes:",
			"Lead Email: {EMAIL} - Webinar Link: {LINK} - Date: {DATE} - Title: {TITLE} -  HOST: {HOST}"
		);
		?>
		</div>
	</div>

	<?php
	display_edit_toggle(
		"envelope-alt",
		"Reminder - Sent Out 1 Hour After Webinar Is Live ",
		"we_edit_email_signup_5",
		"This email is sent out 1 hour after the webinar..."
	);
	?>

	<div id="we_edit_email_signup_5" class="we_edit_area" >
		<?php
		display_option( 
			$_GET['id'],
			$results->email_notiff_4,
			"Toggle Email Notification #4", 
			"email_notiff_4",
			"You can have this notification sent out or not...",
			"Enable Email Notification [on], Disable Email Notification [off]"
		);
		?>
		<div class="email_notiff_4" id="email_notiff_4_on" >	
	
		<?php
		display_field( 
			$_GET['id'],
			$results->email_notiff_sbj_4,
			"Sign Up Email Subject", 
			"email_notiff_sbj_4",
			"This is the sign up email subject line...",
			"Email Subject Line..."
		);
		display_wpeditor( 
			$_GET['id'],
			$results->email_notiff_body_4,
			"Email Body Copy", 
			"email_notiff_body_4",
			"This your email that is sent out. Formatted with HTML..."
		);

		if( $results->webinar_date == "AUTO" ){
			// show nothing...
		} else {

			display_date( 
				$_GET['id'],
				$results->email_notiff_date_4,
				"Scheduled Date", 
				"email_notiff_date_4",
				"This is the date on which this email is out sent out...",
				"Scheduled Date..."
			);

			display_time( 
				$_GET['id'],
				$results->email_notiff_time_4,
				"Scheduled Time", 
				"email_notiff_time_4",
				"This is the time that the will be sent out on the date (above)..."
			);

			display_option( 
				$_GET['id'],
				$results->email_notiff_status_4,
				"Status Of Email", 
				"email_notiff_status_4",
				"This will tell if this email was sent out or not. If it was sent, and you want to change the date, remember to change this back to not sent...",
				"Email Queued [queued], Email Has Been Sent [sent]"
			);

		}

		display_info(
			"Supported Email Shortcodes:",
			"Lead Email: {EMAIL} - Webinar Link: {LINK} - Date: {DATE} - Title: {TITLE} -  HOST: {HOST}"
		);
		?>
		</div>
	</div>

	<?php
	display_edit_toggle(
		"envelope-alt",
		"Reminder - Sent Out 1 Day After Webinar Is Live ",
		"we_edit_email_signup_6",
		"This email is sent out 1 day after the webinar..."
	);
	?>

	<div id="we_edit_email_signup_6" class="we_edit_area" >
		<?php
		display_option( 
			$_GET['id'],
			$results->email_notiff_5,
			"Toggle Email Notification #5", 
			"email_notiff_5",
			"You can have this notification sent out or not...",
			"Enable Email Notification [on], Disable Email Notification [off]"
		);
		?>
		<div class="email_notiff_5" id="email_notiff_5_on" >	
	
		<?php
		display_field( 
			$_GET['id'],
			$results->email_notiff_sbj_5,
			"Sign Up Email Subject", 
			"email_notiff_sbj_5",
			"This is the sign up email subject line...",
			"Email Subject Line..."
		);
		display_wpeditor( 
			$_GET['id'],
			$results->email_notiff_body_5,
			"Email Body Copy", 
			"email_notiff_body_5",
			"This your email that is sent out. Formatted with HTML..."
		);

		if( $results->webinar_date == "AUTO" ){
			// show nothing...
		} else {

			display_date( 
				$_GET['id'],
				$results->email_notiff_date_5,
				"Scheduled Date", 
				"email_notiff_date_5",
				"This is the date on which this email is out sent out...",
				"Scheduled Date..."
			);

			display_time( 
				$_GET['id'],
				$results->email_notiff_time_5,
				"Scheduled Time", 
				"email_notiff_time_5",
				"This is the time that the will be sent out on the date (above)..."
			);

			display_option( 
				$_GET['id'],
				$results->email_notiff_status_5,
				"Status Of Email", 
				"email_notiff_status_5",
				"This will tell if this email was sent out or not. If it was sent, and you want to change the date, remember to change this back to not sent...",
				"Email Queued [queued], Email Has Been Sent [sent]"
			);

		}

		display_info(
			"Supported Email Shortcodes:",
			"Lead Email: {EMAIL} - Webinar Link: {LINK} - Date: {DATE} - Title: {TITLE} -  HOST: {HOST}"
		);
		?>
		</div>
	</div>

	<?php
	display_edit_toggle(
		"comments",
		"TXT Reminder - Send out TXT MSG 1 Hour Before Live...",
		"we_edit_twilio",
		"This is a txt msg that is sent out 1 hour before live..."
	);
	?>

	<div id="we_edit_twilio" class="we_edit_area" >
		<?php
		display_option( 
			$_GET['id'],
			$results->email_twilio,
			"Toggle TXT Notification", 
			"email_twilio",
			"You can have this notification sent out or not...",
			"Enable TXT Notification [on], Disable TXT Notification [off]"
		);
		?>
		<div class="email_twilio" id="email_twilio_on" >
		<?php

		// if( $results->webinar_date == "AUTO" ){
		// 	display_field( 
		// 		$_GET['id'],
		// 		site_url() . "/wp-content/plugins/webinarignition/inc/schedule_email_auto_sms.php?id=". $_GET['id'],
		// 		"Cronjob URL SMS:", 
		// 		"cronjoburlsms",
		// 		"This is the URL that should be setup with your Cronjob... read Help PDF for more info.",
		// 		"Cronjob URL..."
		// 	);
		// } else {
		// 	display_field( 
		// 		$_GET['id'],
		// 		site_url() . "/wp-content/plugins/webinarignition/inc/schedule_email_live_sms.php?id=". $_GET['id'],
		// 		"Cronjob URL SMS:", 
		// 		"cronjoburlsms",
		// 		"This is the URL that should be setup with your Cronjob... read Help PDF for more info.",
		// 		"Cronjob URL..."
		// 	);
		// }

		display_field( 
			$_GET['id'],
			$results->twilio_id,
			"Twilio Account ID", 
			"twilio_id",
			"This is your twilio account ID... <br><b><a href='https://www.twilio.com/' target='_blank'>Create Twilio Account</a></b>",
			"Twilio Account SID"
		);
		display_field( 
			$_GET['id'],
			$results->twilio_token,
			"Twilio Account Token", 
			"twilio_token",
			"This is your account token...",
			"Twilio Account Token"
		);
		display_field( 
			$_GET['id'],
			$results->twilio_number,
			"Twilio Phone Number", 
			"twilio_number",
			"This is your twilio number that you want the txt msg to be from...<br><b>Format: XXX-XXX-XXXX</b>",
			"XXX-XXX-XXXX"
		);
		display_textarea( 
			$_GET['id'],
			$results->twilio_msg,
			"Txt Message", 
			"twilio_msg",
			"This is the txt message that is sent out, shortcode with {LINK} for the URL, but we suggest you creating a tinyURL...",
			"TXT MSG here..."
		);

		if( $results->webinar_date == "AUTO" ){
			// show nothing...
		} else {

			display_date( 
				$_GET['id'],
				$results->email_twilio_date,
				"Scheduled Date", 
				"email_twilio_date",
				"This is the date on which this txt message is out sent out...",
				"Scheduled Date..."
			);

			display_time( 
				$_GET['id'],
				$results->email_twilio_time,
				"Scheduled Time", 
				"email_twilio_time",
				"This is the time that the will be sent out on the date (above)..."
			);

			display_option( 
				$_GET['id'],
				$results->email_twilio_status,
				"Status Of TXT MSG", 
				"email_twilio_status",
				"This will tell if this TXT MSG was sent out or not. If it was sent, and you want to change the date, remember to change this back to not sent...",
				"TXT MSG Queued [queued], TXT MSG Has Been Sent [sent]"
			);

		}
		
		?>
		</div>
	</div>

	<div class="bottomSaveArea">
		<a href="#" class="blue-btn-44 btn saveIt" style="color:#FFF;" ><i class="icon-save" ></i> Save & Update</a>
	</div>

</div>