<?php
/*
Plugin Name: Webinar Ignition
Description: WebinarIgnition is a premium webinar solution that allows you to create, run and manage webinars.  Build and fully customize, professional webinar registration, confirmation, live webinar and replay pages with ease.. username & key = meister
Version: 1.5
Author: Mark Thompson, and Dylan Jones
*/

// Activation Here:
register_activation_hook(__FILE__, 'webinarignition_installer');
include("inc/activation.php");

// AJAX Callbacks:
include("inc/callback.php");
include("inc/callback2.php");
include("inc/autowebinar_get_dates.php");

// Image Uploader:
include("inc/image.php");

// Menu Here:
include("inc/menu.php");

// Dashboard:
include("UI/index.php");

// Page Link:
include("inc/page_link.php");

// Extras
include("inc/extra_functions.php");

// Updates
require_once('wp-updates-plugin.php');
new WPUpdatesPluginUpdater_231( 'http://wp-updates.com/api/2/plugin', plugin_basename(__FILE__));


?>