<?php

add_action('wp_ajax_nopriv_webinarignition_auto_lp_get_dates', 'webinarignition_auto_lp_get_dates_callback');
add_action('wp_ajax_webinarignition_auto_lp_get_dates', 'webinarignition_auto_lp_get_dates_callback');
function webinarignition_auto_lp_get_dates_callback() {

// Prototype For Evergreen Webinar
// Get Variables
$tz = $_POST['tz'];
$ID = $_POST['id'];
// Get Results
$results = get_option('webinarignition_campaign_'. $ID);

// Timezone 
date_default_timezone_set($tz);
$dtz = new DateTimeZone($tz);
$time_in_sofia = new DateTime('now', $dtz);
$offset = $dtz->getOffset( $time_in_sofia ) / 3600;

// echo ($offset < 0 ? $offset : "+".$offset) . "::";
//
// Get Days Of the Week - The Next Occuring Date:
//
$nextMonday = date('Y-m-d', strtotime("next Monday") );
$nextMonday_unix = strtotime( $nextMonday );
$nextMonday_lang = date('l\, M\. j\, Y', $nextMonday_unix);

$nextTuesday = date('Y-m-d', strtotime("next Tuesday") );
$nextTuesday_unix = strtotime( $nextTuesday );
$nextTuesday_lang = date('l\, M\. j\, Y', $nextTuesday_unix);

$nextWednesday = date('Y-m-d', strtotime("next Wednesday") );
$nextWednesday_unix = strtotime( $nextWednesday );
$nextWednesday_lang = date('l\, M\. j\, Y', $nextWednesday_unix);

$nextThursday = date('Y-m-d', strtotime("next Thursday") );
$nextThursday_unix = strtotime( $nextThursday );
$nextThursday_lang = date('l\, M\. j\, Y', $nextThursday_unix);

$nextFriday = date('Y-m-d', strtotime("next Friday") );
$nextFriday_unix = strtotime( $nextFriday );
$nextFriday_lang = date('l\, M\. j\, Y', $nextFriday_unix);

$nextSaturday = date('Y-m-d', strtotime("next Saturday") );
$nextSaturday_unix = strtotime( $nextSaturday );
$nextSaturday_lang = date('l\, M\. j\, Y', $nextSaturday_unix);

$nextSunday = date('Y-m-d', strtotime("next Sunday") );
$nextSunday_unix = strtotime( $nextSunday );
$nextSunday_lang = date('l\, M\. j\, Y', $nextSunday_unix);


// Display Info
$today_date = date('Y-m-d');
$today_date_unix = strtotime( $today_date );
$today_date_lang = date('l', $today_date_unix);

// Day Toggles
$d_monday = $results->auto_monday;
$d_monday_check = "";
$d_tuesday = $results->auto_tuesday;
$d_tuesday_check = "";
$d_wednesday =  $results->auto_wednesday;
$d_wednesday_check = "";
$d_thursday = $results->auto_thursday;
$d_thursday_check = "";
$d_friday =  $results->auto_friday;
$d_friday_check = "";
$d_saturday =  $results->auto_saturday;
$d_saturday_check = "";
$d_sunday =  $results->auto_sunday;
$d_sunday_check = "";

// Timeout - Only show 3 Possible Dates
$daytimeout = 1;
$timeout_total = 0;

if( $d_monday == "yes" ){ $timeout_total++; }
if( $d_tuesday == "yes" ){ $timeout_total++; }
if( $d_wednesday == "yes" ){ $timeout_total++; }
if( $d_thursday == "yes" ){ $timeout_total++; }
if( $d_friday == "yes" ){ $timeout_total++; }
if( $d_saturday == "yes" ){ $timeout_total++; }
if( $d_sunday == "yes" ){ $timeout_total++; }

// Dates Array
$dates = array();

// Add Today 
if( $results->auto_today == "yes" ){
	$todayCopyTranslate = "Instant Access - Watch Replay";
	if( $results->auto_translate_instant == "" ){ } else {
		$todayCopyTranslate = $results->auto_translate_instant;
	}
	$dates["$today_date"] = $todayCopyTranslate;
}

while ( $daytimeout <= $timeout_total ){
	// ###########
	//
	// Start From Monday --
	//
	// ###########
	if( $today_date_lang == "Monday" ){
		if( $d_tuesday_check == "" && $d_tuesday == "yes" || $d_tuesday == "" ){
			$dates["$nextTuesday"] = $nextTuesday_lang;
			$d_tuesday_check = "checked";
			$daytimeout++;
		} else if( $d_wednesday_check == "" && $d_wednesday == "yes" || $d_wednesday == "" ){
			$dates["$nextWednesday"] = $nextWednesday_lang;
			$d_wednesday_check = "checked";
			$daytimeout++;
		} else if( $d_thursday_check == "" && $d_thursday == "yes" || $d_thursday == "" ){
			$dates["$nextThursday"] = $nextThursday_lang;
			$d_thursday_check = "checked";
			$daytimeout++;
		} else if( $d_friday_check == "" && $d_friday == "yes" || $d_friday == "" ){
			$dates["$nextFriday"] = $nextFriday_lang;
			$d_friday_check = "checked";
			$daytimeout++;
		} else if( $d_saturday_check == "" && $d_saturday == "yes" || $d_saturday == "" ){
			$dates["$nextSaturday"] = $nextSaturday_lang;
			$d_saturday_check = "checked";
			$daytimeout++;
		} else if( $d_sunday_check == "" && $d_sunday == "yes" || $d_sunday == "" ){
			$dates["$nextSunday"] = $nextSunday_lang;
			$d_sunday_check = "checked";
			$daytimeout++;
		}  else if( $d_monday_check == "" && $d_monday == "yes" || $d_monday == "" ){
			$dates["$nextMonday"] = $nextMonday_lang;
			$d_monday_check = "checked";
			$daytimeout++;
		}
		
	}
	// ###########
	//
	// Start From Tuesday --
	//
	// ###########
	if( $today_date_lang == "Tuesday" ){
		if( $d_wednesday_check == "" && $d_wednesday == "yes" || $d_wednesday == "" ){
			$dates["$nextWednesday"] = $nextWednesday_lang;
			$d_wednesday_check = "checked";
			$daytimeout++;
		} else if( $d_thursday_check == "" && $d_thursday == "yes" || $d_thursday == "" ){
			$dates["$nextThursday"] = $nextThursday_lang;
			$d_thursday_check = "checked";
			$daytimeout++;
		} else if( $d_friday_check == "" && $d_friday == "yes" || $d_friday == "" ){
			$dates["$nextFriday"] = $nextFriday_lang;
			$d_friday_check = "checked";
			$daytimeout++;
		} else if( $d_saturday_check == "" && $d_saturday == "yes" || $d_saturday == "" ){
			$dates["$nextSaturday"] = $nextSaturday_lang;
			$d_saturday_check = "checked";
			$daytimeout++;
		} else if( $d_sunday_check == "" && $d_sunday == "yes" || $d_sunday == "" ){
			$dates["$nextSunday"] = $nextSunday_lang;
			$d_sunday_check = "checked";
			$daytimeout++;
		} else if( $d_monday_check == "" && $d_monday == "yes" || $d_monday == "" ){
			$dates["$nextMonday"] = $nextMonday_lang;
			$d_monday_check = "checked";
			$daytimeout++;
		}  else if( $d_tuesday_check == "" && $d_tuesday == "yes" || $d_tuesday == "" ){
			$dates["$nextTuesday"] = $nextTuesday_lang;
			$d_tuesday_check = "checked";
			$daytimeout++;
		}
		
	}
	// ###########
	//
	// Start From Wednesday --
	//
	// ###########
	if( $today_date_lang == "Wednesday" ){
		if( $d_thursday_check == "" && $d_thursday == "yes" || $d_thursday == "" ){
			$dates["$nextThursday"] = $nextThursday_lang;
			$d_thursday_check = "checked";
			$daytimeout++;
		} else if( $d_friday_check == "" && $d_friday == "yes" || $d_friday == "" ){
			$dates["$nextFriday"] = $nextFriday_lang;
			$d_friday_check = "checked";
			$daytimeout++;
		} else if( $d_saturday_check == "" && $d_saturday == "yes" || $d_saturday == "" ){
			$dates["$nextSaturday"] = $nextSaturday_lang;
			$d_saturday_check = "checked";
			$daytimeout++;
		} else if( $d_sunday_check == "" && $d_sunday == "yes" || $d_sunday == "" ){
			$dates["$nextSunday"] = $nextSunday_lang;
			$d_sunday_check = "checked";
			$daytimeout++;
		} else if( $d_monday_check == "" && $d_monday == "yes" || $d_monday == "" ){
			$dates["$nextMonday"] = $nextMonday_lang;
			$d_monday_check = "checked";
			$daytimeout++;
		} else if( $d_tuesday_check == "" && $d_tuesday == "yes" || $d_tuesday == "" ){
			$dates["$nextTuesday"] = $nextTuesday_lang;
			$d_tuesday_check = "checked";
			$daytimeout++;
		}  else if( $d_wednesday_check == "" && $d_wednesday == "yes" || $d_wednesday == "" ){
			$dates["$nextWednesday"] = $nextWednesday_lang;
			$d_wednesday_check = "checked";
			$daytimeout++;
		}
		
	}
	// ###########
	//
	// Start From Thursday --
	//
	// ###########
	if( $today_date_lang == "Thursday" ){
		if( $d_friday_check == "" && $d_friday == "yes" || $d_friday == "" ){
			$dates["$nextFriday"] = $nextFriday_lang;
			$d_friday_check = "checked";
			$daytimeout++;
		} else if( $d_saturday_check == "" && $d_saturday == "yes" || $d_saturday == "" ){
			$dates["$nextSaturday"] = $nextSaturday_lang;
			$d_saturday_check = "checked";
			$daytimeout++;
		} else if( $d_sunday_check == "" && $d_sunday == "yes" || $d_sunday == "" ){
			$dates["$nextSunday"] = $nextSunday_lang;
			$d_sunday_check = "checked";
			$daytimeout++;
		} else if( $d_monday_check == "" && $d_monday == "yes" || $d_monday == "" ){
			$dates["$nextMonday"] = $nextMonday_lang;
			$d_monday_check = "checked";
			$daytimeout++;
		} else if( $d_tuesday_check == "" && $d_tuesday == "yes" || $d_tuesday == "" ){
			$dates["$nextTuesday"] = $nextTuesday_lang;
			$d_tuesday_check = "checked";
			$daytimeout++;
		}  else if( $d_wednesday_check == "" && $d_wednesday == "yes" || $d_wednesday == "" ){
			$dates["$nextWednesday"] = $nextWednesday_lang;
			$d_wednesday_check = "checked";
			$daytimeout++;
		} else if( $d_thursday_check == "" && $d_thursday == "yes" || $d_thursday == "" ){
			$dates["$nextThursday"] = $nextThursday_lang;
			$d_thursday_check = "checked";
			$daytimeout++;
		}
		
	}
	// ###########
	//
	// Start From Friday --
	//
	// ###########
	if( $today_date_lang == "Friday" ){
		if( $d_saturday_check == "" && $d_saturday == "yes" || $d_saturday == "" ){
			$dates["$nextSaturday"] = $nextSaturday_lang;
			$d_saturday_check = "checked";
			$daytimeout++;
		} else if( $d_sunday_check == "" && $d_sunday == "yes" || $d_sunday == "" ){
			$dates["$nextSunday"] = $nextSunday_lang;
			$d_sunday_check = "checked";
			$daytimeout++;
		} else if( $d_monday_check == "" && $d_monday == "yes" || $d_monday == "" ){
			$dates["$nextMonday"] = $nextMonday_lang;
			$d_monday_check = "checked";
			$daytimeout++;
		} else if( $d_tuesday_check == "" && $d_tuesday == "yes" || $d_tuesday == "" ){
			$dates["$nextTuesday"] = $nextTuesday_lang;
			$d_tuesday_check = "checked";
			$daytimeout++;
		}  else if( $d_wednesday_check == "" && $d_wednesday == "yes" || $d_wednesday == "" ){
			$dates["$nextWednesday"] = $nextWednesday_lang;
			$d_wednesday_check = "checked";
			$daytimeout++;
		} else if( $d_thursday_check == "" && $d_thursday == "yes" || $d_thursday == "" ){
			$dates["$nextThursday"] = $nextThursday_lang;
			$d_thursday_check = "checked";
			$daytimeout++;
		} else if( $d_friday_check == "" && $d_friday == "yes" || $d_friday == "" ){
			$dates["$nextFriday"] = $nextFriday_lang;
			$d_friday_check = "checked";
			$daytimeout++;
		}
		
	}
	// ###########
	//
	// Start From Saturday --
	//
	// ###########
	if( $today_date_lang == "Saturday" ){
		if( $d_sunday_check == "" && $d_sunday == "yes" || $d_sunday == "" ){
			$dates["$nextSunday"] = $nextSunday_lang;
			$d_sunday_check = "checked";
			$daytimeout++;
		} else if( $d_monday_check == "" && $d_monday == "yes" || $d_monday == "" ){
			$dates["$nextMonday"] = $nextMonday_lang;
			$d_monday_check = "checked";
			$daytimeout++;
		} else if( $d_tuesday_check == "" && $d_tuesday == "yes" || $d_tuesday == "" ){
			$dates["$nextTuesday"] = $nextTuesday_lang;
			$d_tuesday_check = "checked";
			$daytimeout++;
		}  else if( $d_wednesday_check == "" && $d_wednesday == "yes" || $d_wednesday == "" ){
			$dates["$nextWednesday"] = $nextWednesday_lang;
			$d_wednesday_check = "checked";
			$daytimeout++;
		} else if( $d_thursday_check == "" && $d_thursday == "yes" || $d_thursday == "" ){
			$dates["$nextThursday"] = $nextThursday_lang;
			$d_thursday_check = "checked";
			$daytimeout++;
		} else if( $d_friday_check == "" && $d_friday == "yes" || $d_friday == "" ){
			$dates["$nextFriday"] = $nextFriday_lang;
			$d_friday_check = "checked";
			$daytimeout++;
		} else if( $d_saturday_check == "" && $d_saturday == "yes" || $d_saturday == "" ){
			$dates["$nextSaturday"] = $nextSaturday_lang;
			$d_saturday_check = "checked";
			$daytimeout++;
		}
		
	}
	// ###########
	//
	// Start From Sunday --
	//
	// ###########
	if( $today_date_lang == "Sunday" ){
		if( $d_monday_check == "" && $d_monday == "yes" || $d_monday == "" ){
			$dates["$nextMonday"] = $nextMonday_lang;
			$d_monday_check = "checked";
			$daytimeout++;
		} else if( $d_tuesday_check == "" && $d_tuesday == "yes" || $d_tuesday == "" ){
			$dates["$nextTuesday"] = $nextTuesday_lang;
			$d_tuesday_check = "checked";
			$daytimeout++;
		}  else if( $d_wednesday_check == "" && $d_wednesday == "yes" || $d_wednesday == "" ){
			$dates["$nextWednesday"] = $nextWednesday_lang;
			$d_wednesday_check = "checked";
			$daytimeout++;
		} else if( $d_thursday_check == "" && $d_thursday == "yes" || $d_thursday == "" ){
			$dates["$nextThursday"] = $nextThursday_lang;
			$d_thursday_check = "checked";
			$daytimeout++;
		} else if( $d_friday_check == "" && $d_friday == "yes" || $d_friday == "" ){
			$dates["$nextFriday"] = $nextFriday_lang;
			$d_friday_check = "checked";
			$daytimeout++;
		} else if( $d_saturday_check == "" && $d_saturday == "yes" || $d_saturday == "" ){
			$dates["$nextSaturday"] = $nextSaturday_lang;
			$d_saturday_check = "checked";
			$daytimeout++;
		} else if( $d_sunday_check == "" && $d_sunday == "yes" || $d_sunday == "" ){
			$dates["$nextSunday"] = $nextSunday_lang;
			$d_sunday_check = "checked";
			$daytimeout++;
		}
		
	}

}

// Final Step = Translate Months
$months = $results->auto_translate_months;
$months = explode(",", $months);
// Translate Array
$englishMonths = array('Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec' );
// Translate Step For Months - Must have all 12 Months
$translateMonths = array($months[0], $months[1], $months[2], $months[3], $months[4], $months[5], $months[6], $months[7], $months[8], $months[9], $months[10], $months[11], $months[12]);
// Final Step = Translate Days
$days = $results->auto_translate_days;
$days = explode(",", $days);
// Translate Array
$englishDays = array('Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday');
// Translate Step For Days - Must have all 7 Days
$translateDays = array($days[0], $days[1], $days[2], $days[3], $days[4], $days[5], $days[6]);

// Remove Holidays & Blacklisted Dates
$blacklisted_dates = $results->auto_blacklisted_dates;
$blacklisted_dates = explode(", ", $blacklisted_dates);
foreach($blacklisted_dates as $date) {
	unset( $dates[$date] );
}

$jsondates = json_encode($dates);
// String Replace Months
$jsondates_translated = str_ireplace($englishMonths, $translateMonths, $jsondates);
// String Replace Months
$jsondates_translated = str_ireplace($englishDays, $translateDays, $jsondates_translated);

echo $jsondates_translated;
die();
// END OF FUNCTION
}

?>