<?php

// Edit Campaign // Save
add_action('wp_ajax_webinarignition_edit', 'webinarignition_edit_callback');
function webinarignition_edit_callback() {
	
	// Get ID & Post Data Array
	$id = $_POST['id'];
	$data = $_POST;

	foreach ($data as $key=>$value) {
		$data[$key] = stripslashes($value);
	}

	// Convert Array To Object
	$object = array_to_object_we($data);

	// Update Option Field:
	update_option('webinarignition_campaign_'. $id, $object);

	$objectData = get_option('webinarignition_campaign_'.  $id);

	// Resave & Redo URL
	$webinarName = $object->webinarURLName2;
	
	// Get Current Name From DB
	global $wpdb;	
	$table_db_name = $wpdb->prefix . "webinarignition";
	$findstat = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$id'", OBJECT);
	
	foreach($findstat as $findstat){}
	
	if( $findstat->appname == $webinarName ){
		// do nothing - same name...
	} else {
		// Update Inside Of DB
		$wpdb->update($table_db_name, 
		array( 
		 'appname' => $webinarName
		),
		  array( 'id' => $id )
		);
		// ReName permalink URL
		$my_post = array();
	  	$my_post['ID'] =  $findstat->postID;
	  	$my_post['post_name'] = $webinarName;
		wp_update_post( $my_post );

	}

	// Check If -- Copy Update
	if( $objectData->copy_time_update == "1" ){
	
	// Do Update With Time & Copy
	$fullDate = $objectData->webinar_date;

	if( strpos($fullDate , '-') ){
       	$fullDate = explode("-", $fullDate);
    } else {
       	$fullDate = explode("/", $fullDate);
    }

	// $fullDate = explode("-", $fullDate);
	$setDate = $fullDate[2] ."/". $fullDate[0] . "/". $fullDate[1];

	$getDate = date('l jS \of F Y', strtotime($setDate));
	$getDate22 = $getDate; 
	$getDate = explode(" ", $getDate);

	$getDay = str_replace("th", "", $getDate[1]);
	$getDay = str_replace("rd", "", $getDay);
	$getDay = str_replace("st", "", $getDay);
	$getDay = str_replace("nd", "", $getDay);

	$setTime = $objectData->webinar_start_time;
	$getTime = date("h:i:s A", strtotime($setTime));

	$getTime = explode(" ", $getTime);
	$getHour = explode(":", $getTime[0]);
	$getHour2 = $getHour[0];
	// Check for 0 in front of time..
	if( $getHour2[0] == "0" ){
		$getHour2 = str_replace("0", "", $getHour2);
	}

	$timezone = $objectData->webinar_timezone;

	$host = $objectData->webinar_host;
	$desc = $objectData->webinar_desc;
	$orgdate = $objectData->webinar_date;

	$time = $objectData->webinar_start_time;

	$linkToLive = get_permalink($findstat->postID);

	$emailSetup = "Dear {NAME},\n

%%INTRO%%

<b>Date:</b>
Join us on live :: {DATE}

<b>Webinar Topic:</b>
{TITLE}\n

<b>Webinar Hosts:</b>
{HOST}\n

<b># Click here to join:</b>
{LINK}\n

# You will be connected to video using your computer's microphone and speakers.  A headset is recommended.\n

System Requirements:\n

PC-based attendees
Required: Windows® 7, Vista, XP or 2003 Server\n

Mac-based attendees
Required: Mac OS® X 10.6 or newer\n

Mobile attendees
Required: iPhone®, iPad®, Android™ phone or Android tablet\n";


	$clonedResults = get_option('webinarignition_campaign_'.  $id);

	// --- EMAIL NOTIFICATION UPDATE SETTINGS --
	//
	// Set Date & Get BeforeDay / NextDay - BeforeTime / NextTime
	//
	$newDate = $fullDate[2] ."-". $fullDate[0] . "-". $fullDate[1];
	$newTime = strtotime($clonedResults->webinar_start_time);
	$beforeDay = date("Y-m-d", strtotime('-1 day', strtotime($newDate) ) );
	$beforeDayReformat = date("m-d-Y", strtotime($beforeDay));
	$nextDay = date("Y-m-d", strtotime('+1 day', strtotime($newDate) ) );
	$nextDayReformat = date("m-d-Y", strtotime($nextDay));
	$beforeTime = date("H:i", strtotime('-1 hour', $newTime));
	$nextTime = date("H:i", strtotime('+1 hour', $newTime));
	//
	// -- C/U Email #1 - 1 Day Before Webinar
	//
	// Set: Date / Time / SBJ / Body
	//
	$clonedResults->email_notiff_date_1 = $beforeDayReformat;
	$clonedResults->email_notiff_time_1 = $clonedResults->webinar_start_time;
	$clonedResults->email_notiff_status_1 = "queued";
	$clonedResults->email_notiff_sbj_1 = "WEBINAR REMINDER :: Goes Live Tomorrow :: " . $clonedResults->webinar_desc;	
	$clonedResults->email_notiff_body_1 = str_replace("%%INTRO%%", "This is a reminder that the webinar you signed up for is tomorrow...<br>", $emailSetup);
	//
	// -- C/U Email #2 - 1 Hour Before Webinar
	//
	// Set: Date / Time / SBJ / Body
	//
	$clonedResults->email_notiff_date_2 = $clonedResults->webinar_date;
	$clonedResults->email_notiff_time_2 = $beforeTime;
	$clonedResults->email_notiff_status_2 = "queued";
	$clonedResults->email_notiff_sbj_2 = "WEBINAR REMINDER :: Goes Live In 1 Hour :: " . $clonedResults->webinar_desc;	
	$clonedResults->email_notiff_body_2 = str_replace("%%INTRO%%", "The webinar is live in 1 hour!<br>", $emailSetup);
	//
	// -- C/U Email #3 - Webinar Is Live
	//
	// Set: Date / Time / SBJ / Body
	//
	$clonedResults->email_notiff_date_3 = $clonedResults->webinar_date;
	$clonedResults->email_notiff_time_3 = $clonedResults->webinar_start_time;
	$clonedResults->email_notiff_status_3 = "queued";
	$clonedResults->email_notiff_sbj_3 = "We Are Live";	
	$clonedResults->email_notiff_body_3 = str_replace("%%INTRO%%", "We are live, on air and ready to go!<br>", $emailSetup);
	//
	// -- C/U Email #4 - Replay Video Is Live
	//
	// Set: Date / Time / SBJ / Body
	//
	$clonedResults->email_notiff_date_4 = $clonedResults->webinar_date;
	$clonedResults->email_notiff_time_4 = $nextTime;
	$clonedResults->email_notiff_status_4 = "queued";
	$clonedResults->email_notiff_sbj_4 = "Replay Is Ready";	
	$clonedResults->email_notiff_body_4 = str_replace("%%INTRO%%", "We just posted the replay video for the webinar tonight...<br>", $emailSetup);
	//
	// -- C/U Email #5 - 1 Day After Live Webinar
	//
	// Set: Date / Time / SBJ / Body
	//
	$clonedResults->email_notiff_date_5 = $nextDayReformat;
	$clonedResults->email_notiff_time_5 = $clonedResults->webinar_start_time;
	$clonedResults->email_notiff_status_5 = "queued";
	$clonedResults->email_notiff_sbj_5 = "Did You See The Replay?";	
	$clonedResults->email_notiff_body_5 = str_replace("%%INTRO%%", "Did you get a chance to check out the webinar replay? It's coming down very soon!<br>", $emailSetup);;
	//
	// -- C/U TXT - 1 Hour Before Live Webinar
	//
	// Set: Date / Time / TEXT
	//
	$clonedResults->email_twilio_date = $clonedResults->webinar_date;
	$clonedResults->email_twilio_time = $beforeTime;
	$clonedResults->email_twilio_status = "queued";
	// $clonedResults->twilio_msg = "The webinar is starting soon! Jump On Live: {LINK}";	


	// Save New Additions



		$clonedResults->lp_main_headline = '<h4 class="subheader">Introducing This Exclusive Webinar From '. $host .'</h4><h2 style="margin-top: -10px;">'.$desc.'</h2>';
		$clonedResults->lp_webinar_month = $getDate[3];
		$clonedResults->lp_webinar_day = $getDay;
		$clonedResults->lp_webinar_headline = $getDate[0] ." The ". $getDate[1];
		$clonedResults->lp_webinar_subheadline = "At ". $getHour2 .":". $getHour[1] ." ". $getTime[1];
		$clonedResults->cd_headline = '<h4 class="subheader">This Webinar Is Not Live - <b>We Go Live Soon!</b></h4><h2 style="margin-top: -10px; margin-bottom: 30px;">Webinar Starts: '. $getDate22 .'</h2>';
		$clonedResults->email_signup_sbj =  "[Reminder] Your Webinar Starts: ". $getDate22;
		$clonedResults->email_signup_body = str_replace("%%INTRO%%", "Here is the webinar information you just signed up for...<br>", $emailSetup);

		update_option('webinarignition_campaign_'. $id, $clonedResults);

		echo "redirect";
		die();

	}

}

?>