<?php

	// Get Results
	$id = $client;
	$leadID = $_GET['id'];
	$results = get_option('webinarignition_campaign_'. $id);

	// Get DB Info
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";
	$data = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$leadID'", OBJECT);
	foreach($data as $data) {}

	$root_url = "http://www.google.com/calendar/event?action=";

	// Webinar Info
	$title = $results->webinar_desc ? $results->webinar_desc : "Webinar Title";
	$desc = $results->webinar_desc ? $results->webinar_desc : "Info for what you will learn on the webinar...";
	$host = $results->webinar_host ? $results->webinar_host : "Webinar Host";
	$url = "Not Set";

	if( $results->ty_webinar_url == "custom" ){ 
		$url = $results->ty_werbinar_custom_url; 
	} else { 
		$url = get_permalink( $data->postID ) . "?live&lid=". $leadID; 
	}

	// Timezone
	// $timezonex = wi_convert_utc_to_tzid_ics($results->webinar_timezone);
	$timezonex =  $data->lead_timezone;

	$webinarDate = $data->date_picked_and_live;
	$webinarDate = explode(" ", $webinarDate);

	// Get Webinar Date
	$expire = $webinarDate[0];
    // Check Format ie - OR /
    if( strpos($expire , '-') ){
   		$exDate = explode("-", $expire);
    } else {
    	$exDate = explode("/", $expire);
    }

    $exYear = $exDate[0];
    $year = $exYear ? $exYear : '2018';

    $exMonth = $exDate[1];
    $month = $exMonth ? $exMonth : '00';

    $exDay = $exDate[2];
    $day = $exDay ? $exDay : '00';

    // Get Time START
    $time = $webinarDate[1];
    $exTime = explode(":", $time);

    $exHr = $exTime[0];
    $hour = $exHr ? $exHr : '00';

    $exMin = $exTime[1];
    $min = $exMin ? $exMin : '00';

    $exSec = $exTime[2];
    $sec = $exSec ? $exSec : '00';

    // Get Time END
    $time = date('H:i', strtotime( $webinarDate[1] . "+1 hours") );
    $exTime = explode(":", $time);

    $exHr = $exTime[0];
    $hour2 = $exHr ? $exHr : '00';

    $exMin = $exTime[1];
    $min2 = $exMin ? $exMin : '00';

    $exSec = $exTime[2];
    $sec2 = $exSec ? $exSec : '00';

	// Build Final URL
	// $build_url = "http://www.google.com/calendar/event?action=TEMPLATE&text=".$title."&dates=".$year."".$month."".$day."T".setGTimeFormat($hour)."".$min."".$sec."Z/".$year."".$month."".$day."T".setGTimeFormat($hour2)."".$min2."".$sec2."Z&details=".$desc."&location=".$url."&trp=true&sprop=".$host."&sprop=name:".$url."";

	header("Content-type: application/text");
	header("Content-Disposition: attachment; filename=webinar-date.ics");
	header("Pragma: no-cache");
	header("Expires: 0");

	echo   
"BEGIN:VCALENDAR
X-WR-TIMEZONE:".$timezonex."
BEGIN:VEVENT
DTSTART;TZID=".$timezonex.":".$year."".$month."".$day."T".$hour."".$min."".$sec."
DTEND;TZID=".$timezonex.":".$year."".$month."".$day."T".$hour2."".$min2."".$sec2."
SUMMARY:".$title."
DESCRIPTION:".$desc."
LOCATION: ".$url."
END:VEVENT
END:VCALENDAR";

	function setGTimeFormat($time){
		// Setting the correct time for Google/iCal
		if( $time == "00" ){ return "04"; } else
		if( $time == "01" ){ return "05"; } else
		if( $time == "02" ){ return "06"; } else
		if( $time == "03" ){ return "07"; } else
		if( $time == "04" ){ return "08"; } else
		if( $time == "05" ){ return "09"; } else
		if( $time == "06" ){ return "10"; } else
		if( $time == "07" ){ return "11"; } else
		if( $time == "08" ){ return "12"; } else
		if( $time == "09" ){ return "13"; } else
		if( $time == "10" ){ return "14"; } else
		if( $time == "11" ){ return "15"; } else
		if( $time == "12" ){ return "16"; } else
		if( $time == "13" ){ return "17"; } else
		if( $time == "14" ){ return "18"; } else
		if( $time == "15" ){ return "19"; } else
		if( $time == "16" ){ return "20"; } else
		if( $time == "17" ){ return "21"; } else
		if( $time == "18" ){ return "22"; } else
		if( $time == "19" ){ return "23"; } else
		if( $time == "20" ){ return "00"; } else
		if( $time == "21" ){ return "01"; } else
		if( $time == "22" ){ return "02"; } else
		if( $time == "23" ){ return "03"; }
	}

	function wi_convert_utc_to_tzid_ics($utc){
	switch ($utc) {
	    case "-11": return "US/Samoa"; break; 
		case "-10": return "HST"; break; 
		case "-930": return "Pacific/Marquesas"; break; 
		case "-9": return "America/Adak"; break; 
		case "-8": return "America/Anchorage"; break; 
		case "-7": return "MST"; break; 
		case "-6": return "US/Mountain"; break; 
		case "-5": return "EST"; break; 
		case "-430": return "America/Caracas"; break; 
		case "-4": return "America/New_York"; break; 
		case "-3": return "Canada/Atlantic"; break; 
		case "-2": return "Atlantic/South_Georgia"; break; 
		case "-1": return "Atlantic/Cape_Verde"; break; 
		case "0": return "GMT"; break; 
		case "+1": return "Europe/London"; break; 
		case "+2": return "CET"; break; 
		case "+3": return "EET"; break; 
		case "+4": return "Asia/Dubai"; break;  
		case "+5": return "Indian/Maldives"; break;
		case "+530": return "Asia/Calcutta"; break;
		case "+545": return "Asia/Katmandu"; break;
		case "+6": return "Asia/Dacca"; break;
		case "+630": return "Indian/Cocos"; break;
		case "+7": return "Asia/Bangkok"; break;
		case "+8": return "Hongkong"; break;
		case "+9": return "Japan"; break;
		case "+930": return "Australia/Adelaide"; break;
		case "+10": return "Australia/Melbourne"; break;
		case "+11": return "Asia/Sakhalin"; break;
		case "+12": return "NZ"; break;
	}

}

?>