<?php
	
	// universal variables
	$full_path = get_site_url();
	$assets = $full_path . "/wp-content/plugins/webinarignition/inc/lp/";

	// Get DB Info
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition";
	$ID = $client;
	$data = $wpdb->get_results("SELECT * FROM $table_db_name WHERE id = '$ID'", OBJECT);
	foreach($data as $data) {}
  	
  	$pluginName = "webinarignition";
  	$sitePath = site_url() . "/wp-content/plugins/". $pluginName;

	// Get Results
	$id = $client;
	$results = get_option('webinarignition_campaign_'. $id);

	include_once("fbaccess.php");

	// var_dump($results);

		if( $results->webinar_date != "AUTO" ){

		$liveWebbyDate = explode("-", $results->webinar_date);

		$autoDate = $liveWebbyDate[2] ."-". $liveWebbyDate[0] ."-". $liveWebbyDate[1];	

		$autoDate_format = date('l\, M\. j\, Y', strtotime($autoDate) );
		// Final Step = Translate Months
		$months = $results->auto_translate_months;
		$months = explode(",", $months);
		$englishMonths = array('Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec' );
		$translateMonths = array($months[0] == "" ? 'Jan' : $months[0], 
								 $months[1] == "" ? 'Feb' : $months[1], 
								 $months[2] == "" ? 'Mar' : $months[2], 
								 $months[3] == "" ? 'Apr' : $months[3], 
								 $months[4] == "" ? 'May' : $months[4], 
								 $months[5] == "" ? 'Jun' : $months[5], 
								 $months[6] == "" ? 'Jul' : $months[6], 
								 $months[7] == "" ? 'Aug' : $months[7], 
								 $months[8] == "" ? 'Sep' : $months[8], 
								 $months[9] == "" ? 'Oct' : $months[9], 
								 $months[10] == "" ? 'Nov' : $months[10], 
								 $months[11] == "" ? 'Dec' : $months[11]);

		$days = $results->auto_translate_days;
		$days = explode(",", $days);
		$englishDays = array('Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday');
		// $translateDays = array($days[0], $days[1], $days[2], $days[3], $days[4], $days[5], $days[6]);
		$translateDays = array($days[0] == "" ? 'Monday' : $days[0], 
								 $days[1] == "" ? 'Tuesday' : $days[1], 
								 $days[2] == "" ? 'Wednesday' : $days[2], 
								 $days[3] == "" ? 'Thursday' : $days[3], 
								 $days[4] == "" ? 'Friday' : $days[4], 
								 $days[5] == "" ? 'Saturday' : $days[5], 
								 $days[6] == "" ? 'Sunday' : $days[6]);

		$autoDate_format = str_ireplace($englishMonths, $translateMonths, $autoDate_format);
		$autoDate_format = str_ireplace($englishDays, $translateDays, $autoDate_format);

		$autoTime_format = $results->webinar_start_time;
		$autoTime = date('g:i A', strtotime( $autoTime_format ) );	
		// $autoTZ_org = $results->webinar_timezone;
		// $dtz = new DateTimeZone($autoTZ_org);
		// $time_in_sofia = new DateTime('now', $dtz);
		// $autoTZ = $dtz->getOffset( $time_in_sofia ) / 3600;
		// $autoTZ = ($autoTZ < 0 ? $autoTZ : "+".$autoTZ);

		// instant test
		$instantTest = "";

		// For Month Icon
		$liveEventMonth = "";
		$liveEventDateDigit = "";

		$splitAutoDate = explode(",", $autoDate_format);
		$splitAutoDate2 = explode(".", $splitAutoDate[1]);

		$liveEventMonth = $splitAutoDate2[0];
		$liveEventDateDigit = $splitAutoDate2[1];
	}

?>
<!DOCTYPE html>
<html>
<head>
	
	<!-- META INFO -->
	<title><?php display($results->lp_metashare_title, "Amazing Webinar"); ?></title>
	<meta name="description" content="<?php display($results->lp_metashare_desc, "Join this amazing webinar, and discover industry trade secrets!"); ?>">
	<?php if( $results->ty_share_image == "" ){} else{ ?><meta property="og:image" content="<?php display($results->ty_share_image, ""); ?>"/><?php } ?>


	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">

	<link href="<?php echo $assets; ?>css/normalize.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/foundation.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/main.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/cp.css" rel="stylesheet" type="text/css" />

	<link href="<?php echo $assets; ?>css/cpres.css" rel="stylesheet" type="text/css" />

	<link href="<?php echo $assets; ?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/font-awesome-ie7.min.css" rel="stylesheet" type="text/css" />

	<?php include("css/lp_css.php"); ?>

	<!-- CUSTOM JS -->
	<script type="text/javascript">
		<?php display($results->custom_lp_js, ""); ?>
	</script>
	<!-- CUSTOM CSS -->
	<style type="text/css">
		<?php display($results->custom_lp_css, ""); ?>
	</style>


</head>
<body>

<!-- TOP AREA -->
<div class="topArea">
	<div class="bannerTop">
		<?php if( $results->lp_banner_image == "" ){ 
			// echo "NONE"; 
		} else { 
			echo "<img src='$results->lp_banner_image' />"; 
		} ?>
	</div>
</div>

<!-- Main Area -->
<div class="mainWrapper">

	<!-- HEADLINE AREA -->
	<div class="headlineArea" style="display: <?php if( $results->lp_main_headline == "" ){ echo "none"; } else { echo "block"; } ?>;" >
		<?php 
			display(
				$results->lp_main_headline, ''
			); 
		?>
	</div>

	<!-- DATE UNDER AREA -->
	<?php if( $results->webinar_date == "AUTO" ){ } else { ?> 
		<div class="cpDateUnder">
			<i class="icon-calendar"></i>  
			<?php echo $autoDate_format; ?> @ <?php echo $autoTime; ?>
		</div>	
	<?php } ?>

	<!-- MAIN AREA -->
	<div class="cpWrapper">

		<div class="cpLeftSide">
			
			<div class="optinHeadline" >
				<?php 
				display(
					$results->lp_optin_headline, 
					'<span class="optinHeadline1" >RESERVE YOUR SPOT!</span>
					 <span class="optinHeadline2" >WEBINAR REGISTRATION</span>'
				); 
				?>
			</div>

			<!-- OPTIN FORM -->
			<div class="optinFormArea">

			<?php
			// Evergreen Check
			if( $results->webinar_date == "AUTO" ){
				// Evergreen
			?>
			<div class="eventDate" style="border:none; margin:0px; padding:0px; padding-bottom:10px;" >
				<span class="autoTitle"><?php display($results->auto_translate_headline1, "Choose a Date To Attend..."); ?> </span>
				<span class="autoSubTitle"><?php display($results->auto_translate_subheadline1, "Select a date that best suits your schedule..."); ?></span>
				<select id="webinar_start_date" >
					<option value="none">Loading Times...</option>
				</select>
				<div class="autoSep" <?php if( $results->auto_today == "yes" ){ echo 'style="display: none;"'; } ?> ></div>
				<div id="webinarTime" <?php if( $results->auto_today == "yes" ){ echo 'style="display: none;"'; } ?> >
				<span class="autoTitle"><?php display($results->auto_translate_headline2, "What Time Is Best For You?"); ?></span>
				<span class="autoSubTitle"><?php display($results->auto_translate_subheadline2, "Your Local Time Is:"); ?> <span id="autoCurrentTime" ></span></span>
				<select id="webinar_start_time" >
				  <?php
				  	if( $results->auto_time_1 == "no" ){ } else {
				  		echo "<option value='".$results->auto_time_1."'>".date("g:i A", strtotime("$results->auto_time_1"))."</option>";
				  	}
				  	if( $results->auto_time_2 == "no" ){ } else {
				  		echo "<option value='".$results->auto_time_2."'>".date("g:i A", strtotime("$results->auto_time_2"))."</option>";
				  	}
				  	if( $results->auto_time_3 == "no" ){ } else {
				  		echo "<option value='".$results->auto_time_3."'>".date("g:i A", strtotime("$results->auto_time_3"))."</option>";
				  	}
				  ?>
				</select>
				</div>
				<input type="hidden" id="timezone_user" value="" >
				<input type="hidden" id="today_date" value="<?php echo date('Y-m-d'); ?>" >
			</div>
			<?php
			}
			?>

				<?php
				if( $results->webinar_date == "AUTO" ){} else{

				if( $results->lp_fb_button == "" || $results->lp_fb_button == "hide" ){} else {
				?>
				<a href="<?php if($user){ echo "?confirmed"; } else { echo $loginUrl; } ?>" id="optinBTNFB" class="button"><?php display($results->lp_fb_copy, "Register With Facebook"); ?></a>
				<div class="optOR"><?php display($results->lp_fb_or, "OR"); ?></div>
				<?php
				}	
				}
				
				?>

				<?php
				if( $results->lp_optin_name_setting == "" || $results->lp_optin_name_setting == "full" ){
					?>
					<input type="text" class="radius fieldRadius" id="optName" placeholder="<?php display($results->lp_optin_name, "Enter Your Full Name..."); ?>" >
					<?php
				} else {
					?>
					<input type="text" class="radius fieldRadius optNamer" id="optFName" placeholder="<?php display($results->lp_optin_fname, "Enter Your First Name..."); ?>" >
					<input type="text" class="radius fieldRadius optNamer" id="optLName" placeholder="<?php display($results->lp_optin_lname, "Enter Your Last Name..."); ?>" >
					<input type="hidden" id="optName" value="#firstlast#" >	
					<?php
				}
				?>

				<input type="text" class="radius fieldRadius" id="optEmail" placeholder="<?php display($results->lp_optin_email, "Enter Your Best Email..."); ?>" >

				<?php
				if( $results->lp_optin_phone_setting == "" || $results->lp_optin_phone_setting == "hide" ){
					// don't show phone field
				} else {
					?>
					<input type="text" class="radius fieldRadius" id="optPhone" placeholder="<?php display($results->lp_optin_phone, "Enter Your Phone Number..."); ?>" >
					<?php
				}
				?>

				<?php
				if( $results->lp_optin_skype_setting == "" || $results->lp_optin_skype_setting == "hide" ){
					// don't show skype field
				} else {
					?>
					<input type="text" class="radius fieldRadius" id="optSkype" placeholder="<?php display($results->lp_optin_skype, "Enter Your Skype Username..."); ?>" >
					<?php
				}
				?>

				<?php
				if( $results->lp_optin_button == "" || $results->lp_optin_button == "color" ){
					?>
					<a href="#" id="optinBTN" class="large button"><?php display($results->lp_optin_btn, "Register For The Webinar"); ?></a>
					<?php
				} else {
					?>
					<a href="#" id="optinBTN" ><img src="<?php display($results->lp_optin_btn_image, ""); ?>" width="327" border="0" /></a>
					<?php
				}
				?>
				

				<div class="spam">
					<?php display($results->lp_optin_spam, "* we will not spam, rent, sell, or lease your information *"); ?>
				</div>

			</div>

		</div>

		<div class="cpRightSide">
			<!-- VIDEO / CTA BLOCK AREA HERE -->
			<div class="ctaArea">
				<?php
				if( $results->lp_cta_type == "" || $results->lp_cta_type == "video" ){
					display(
						$results->lp_cta_video_code, 
						'<img src="'.$assets.'images/novideo.png" />'
					);
				} else {
					echo "<img src='";
					display($results->lp_cta_image, $assets.'images/noctaimage.png');
					echo "' height='281' width='500' />";
				}
				?>
			</div>
		</div>

		<br clear="both" />

		<div class="cpUnderHeadline addedArrow">
			<?php 
				display(
					$results->lp_sales_headline, 
					'What You Will Learn On The Webinar...'
				); 
			?>
		</div>

		<div class="cpUnderCopy">

			

			<div class="cpCopyArea" style="width: 400px;">
			<?php 
				display(
					$results->lp_sales_copy, 
					'<p>Your Amazing sales copy for your webinar would show up here...</p>'
				); 
			?>
			</div>

			<div class="cpHostBlock" style="<?php if( $results->lp_webinar_host_block == "hide" ){ echo "display:none;"; } ?>">

			<div class="hostInfoPhoto">
					<img src="<?php display($results->lp_host_image, "http://insuremyfec.com/wp-content/uploads/2011/12/generic-headshot-male.jpg"); ?>" />
				</div>

				<div class="hostInfoCopy">
					<?php 
						display(
							$results->lp_host_info, 
							'It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software...<br><br><b>- Your Name Here</b>'
						); 
					?>
				</div>

				<br clear="left" />

			</div>
			
			<br clear="all" />

		</div>

	</div>

</div>

<!-- BOTTOM AREA -->
<div class="bottomArea">
	<div><?php display( $results->footer_copy, "All Rights Reserved - Copyright @ 2013" ); ?></div>
	<?php if($results->footer_branding == "show" || $results->footer_branding == "" ){ ?>
	<div style="margin-top: 15px;" ><a href="<?php display( $results->footer_branding_url, "http://webinarignition.com/" ); ?>" target="_blank" ><b><?php display( $results->footer_branding_copy, "Powered By WebinarIgnition" ); ?></b></a></div>
	<?php } ?>
</div>

<!-- AR OPTIN INTEGRATION -->
<div class="arintegration" style="display:none;" >

<form action="<?php echo $results->ar_url; ?>" id="AR-INTEGRATION" method="POST" >

	<?php echo stripcslashes($results->ar_hidden); ?>

	<?php
	if( $results->lp_optin_name_setting == "" || $results->lp_optin_name_setting == "full" ){
	?>
		<input type="text" name="<?php echo $results->ar_name; ?>" id="ar-name" value="" />
	<?php
	} else {
	?>
		<input type="text" name="<?php echo $results->ar_name; ?>" id="ar-name" value="" />
		<input type="text" name="<?php echo $results->ar_lname; ?>" id="ar-lname" value="" />	
	<?php	
	}
	?>

	
	<input type="text" name="<?php echo $results->ar_email; ?>" id="ar-email" value="" />

	<input type="text" name="<?php echo $results->ar_phone; ?>" id="ar-phone" value="" />

	<input type="text" name="<?php echo $results->ar_skype; ?>" id="ar-skype" value="" />

</form>

</div>

<!-- JS AREA -->
<!-- <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7/jquery.min.js"></script> -->
<script src="<?php echo $assets; ?>/js/jquery.js"></script>
<script type="text/javascript" src="<?php echo $assets; ?>js/cookie.js"></script>
<script type="text/javascript" src="<?php echo $assets; ?>/js/tz.js"></script>

<script type="text/javascript">
$(document).ready(function() {
	// AJAX FOR WP
	var ajaxurl = '<?php echo admin_url('admin-ajax.php'); ?>';

	// VIDEO FIXES:
	$("iframe").height(308);
	$("iframe").width(410);
	// Set video EMBED
	$("embed").height(308);
	$("embed").width(410);
	// Set video OBJECT
	$("object").height(308);
	$("object").width(410);	

	// TRACK +1 VIEW
	$getTrackingCookie = $.cookie('we-trk-lp-<?php echo $client; ?>');

	if( $getTrackingCookie != "tracked" ){
		// No Cookie Set - Track View
		$.cookie('we-trk-lp-<?php echo $client; ?>', "tracked", { expires: 30 });
    	var data = { action: '<?php echo $pluginName; ?>_track_view', id: "<?php echo $client; ?>", page: "lp" };
    	$.post( ajaxurl, data, function(results) {});
	} else {
		// Already tracked...
	}
	// Track +1 Total
	var data = { action: '<?php echo $pluginName; ?>_track_view_total', id: "<?php echo $client; ?>", page: "lp" };
    $.post( ajaxurl, data, function(results) {});

    // Submit On Enter
    $(document).keypress(function(e) {
	    if(e.which == 13) {
	        $('#optinBTN').trigger('click');
	    }
	});

	// OPTIN - STORE LEAD
	$('#optinBTN').click(function() {
		
		// Get Info
		$fullName = $("#optName").val();

		$firstName = $("#optFName").val();
		$lastName = $("#optLName").val();

		if( $fullName == "#firstlast#" ){
			// using first & last name
			$fullName = $firstName +" "+ $lastName;
			$("#ar-name").val($firstName);
			$("#ar-lname").val($lastName);
		} else {
			// just full name
			$("#ar-name").val($fullName);
		}

		$email = $("#optEmail").val();

		$phone = $("#optPhone").val();
		$skype = $("#optSkype").val();

		// Set AR Form
		$("#ar-email").val($email);
		$("#ar-phone").val($phone);
		$("#ar-skype").val($skype);
		
		// Validation
		if( $fullName == "" ){
			
			$("#optName").addClass("errorField");
		
		} else if ( $email == "" ){
			
			// Name is good
			$("#optName").removeClass("errorField");
			$("#optName").addClass("successField");
			// no email set
			$("#optEmail").addClass("errorField");

		} else {

			// Check if email is real email
			if( validateEmail($email) ){
				// alert("Good");
				$("#optEmail").addClass("successField");

				// Store Lead - Data
				<?php
				if( $results->webinar_date == "AUTO" ){
				?>
				$date = $("#webinar_start_date").val();
				$time = $("#webinar_start_time").val();
				$timezone = $("#timezone_user").val();

				$todaydate = $("#today_date").val();
				if( $date == $todaydate ){ $date = "today"; }
				
				var data = { 
					action: '<?php echo $pluginName; ?>_add_lead_auto', 
					id: "<?php echo $client; ?>",
					name: ""+$fullName+"",
					email: ""+$email+"",
					phone: ""+$phone+"",
					skype: ""+$skype+"",
					date: ""+$date+"",
					time: ""+$time+"",
					timezone: ""+$timezone+"",
					ip: "<?php echo $_SERVER['REMOTE_ADDR']; ?>"
				};
				<?php } else { ?>
				var data = { 
					action: '<?php echo $pluginName; ?>_add_lead', 
					id: "<?php echo $client; ?>",
					name: ""+$fullName+"",
					email: ""+$email+"",
					phone: ""+$phone+"",
					skype: ""+$skype+"",
					ip: "<?php echo $_SERVER['REMOTE_ADDR']; ?>"
				};
				<?php } ?>
				// Store Lead - Post
	        	$.post( ajaxurl, data, function(results) {
	        		// Lead Saved..

	        		// Set Cookie - Signed Up
	        		$.cookie('we-trk-<?php echo $client; ?>', results, { expires: 30 });

	        		<?php
					if( $results->webinar_date == "AUTO" ){
					?>
						// For Auto Webinar & redirect
						window.location.href = "?confirmed&lid="+ results;

					<?php } else { ?>
		        		
		        		// Check if AR is setup or not..
						$arCheck = "<?php display($results->ar_url, 'none'); ?>";
						if( $arCheck == "none" ){
							// Redirect To Thank You Page
							window.location.href = "?confirmed";
						} else {
							// Submit AR Form
							$("#AR-INTEGRATION").submit();
						}
					
					<?php } ?>


	        	});

			} else {
				// alert("Bad");
				// Email isn't a real email
				$("#optName").removeClass("errorField");
				$("#optName").addClass("successField");
				$("#optEmail").addClass("errorField");
			}

		}
	
	  return false;
	});

			// Validate Function
			function validateEmail(email) {
			    var re = /\S+@\S+/;
			    return re.test(email);
			}

	 	// Mobile Video Size
        $width = $(window).width();

        if( $width < "480" ){
        	// VIDEO FIXES:
			$("iframe").height(209);
			$("iframe").width(278);
			// Set video EMBED
			$("embed").height(209);
			$("embed").width(278);
			// Set video OBJECT
			$("object").height(209);
			$("object").width(278);	
        }	

        <?php
    if( $results->webinar_date == "AUTO" ){
    ?> 
    	// Timezone -- For User Reference
		var tz = jstz.determine_timezone();
		var tzname = tz.timezone.olson_tz;
	    $("#timezone_user").val(tzname);
	    // Time - Current time
	    var local_date = new Date();
		var hours = local_date.getHours();
		var minutes = local_date.getMinutes();
		var suffix = "AM";
		if (hours >= 12) { suffix = "PM"; hours = hours - 12; }
		if (hours == 0) { hours = 12; }
		if (minutes < 10){ minutes = "0" + minutes; }
	    $("#autoCurrentTime").html( hours + ":" + minutes + " " + suffix );

    	// Get Dates
    	var data = { action: 'webinarignition_auto_lp_get_dates', tz: ""+tzname+"", id: "<?php echo $client; ?>" };
    	$.post( ajaxurl, data, function(results) {
    		// Get Timezone - Today
    		$dates = $.parseJSON(results);
    		console.log($dates);
    		// Get Selected Dates
    		$.each( $dates, function(key, value) {
    			$("#webinar_start_date option[value='none']").remove();   
		     	$('#webinar_start_date')
	            .append($('<option>', { value : key })
     	        .text(value)); 
			});

    	});

    	// Toggle Today & Dates
    	$('#webinar_start_date').change(function() {
    		
    		$getDate = $(this).val();
    		$getToday = $("#today_date").val();

    		if( $getDate == $getToday ){
    			// Date is today...
    			$("#webinarTime").hide();
    			$(".autoSep").hide();
    		} else {
    			$("#webinarTime").show();
    			$(".autoSep").show();
    		}
    	
    	  return false;
    	});

    <?php
	}
    ?>   		

});
</script>


<!-- FB CONNECT AREA -->
	<?php 
		// FB CONNECTED --
		if (isset($_GET['code'])) {
			// JUST CONNECTED - STORE LEAD - REDIRECT TO AR OR THANK YOU PAGE
			// var_dump($user_info);
			// echo "<br><br>";
			// echo $user_info['birthday'];
			// echo "<br><br>";
			
			webinarignition_add_lead_fb($ID, $user_info['name'], $user_info['email'], $user_info['birthday'], $user_info['gender'], $user_info['location']['name'], $user_info['username'], $_SERVER['REMOTE_ADDR']);
			$NEWFBID = webinarignition_get_fb_id($client, $user_info['email']);

			if( $results->ar_url == "" ){
				// ASSUME AR NOT SET - NOT POST URL
				// JS REDIRECT TO TY PAGE
				?>
				<script type="text/javascript">
					// Set Cookie - Signed Up
	        		$.cookie('we-trk-<?php echo $client; ?>', '<?php echo $NEWFBID; ?>', { expires: 30 });
					window.location.replace("<?php echo get_permalink($data->postID); ?>?confirmed");
				</script>
				<?php
			} else {
				// ASSUME AR IS SETUP - THEY HAVE A POST URL
				// JS REDIRECT TO AR SUBMIT
				?>
				<script type="text/javascript">
					// Set Cookie - Signed Up
	        		$.cookie('we-trk-<?php echo $client; ?>', '<?php echo $NEWFBID; ?>', { expires: 30 });
					window.location.replace("<?php echo $assets.'arsubmit.php?id='.$ID.'&n='.$user_info['name'].'&e='. $user_info['email']; ?>");
				</script>
				<?php
			}

		    
		}

	?>

</body>
</html>