<?php
	
	set_time_limit(0); 
	ignore_user_abort();

	// ADD WORDPRESS
	define('WP_USE_THEMES', false);
	require('../../../../wp-blog-header.php');

	// Inlcude PHPMailerFunction
	require 'class.phpmailer.php';

	// Include Twilio Lib
	require 'Services/Twilio.php';

	// CRON Setup For Sending Out Emails
	$campaignID = $_GET["id"];

	// Get ALL Leads
	global $wpdb;
	$table_db_name = $wpdb->prefix . "webinarignition_leads_evergreen";
	$query = "(SELECT * FROM $table_db_name WHERE app_id = '$campaignID' )";
	$results = $wpdb->get_results($query, OBJECT);
	// echo "Total Leads: ". count($results);
	// echo "<br><br>";
	// echo "<b>Debug Info:</b>";
	// echo "<br><br>";

	// Loop Through Leads
	foreach($results as $results) {
		// LOOP START ##################
		// GET DATE -------------------
		// Get Date 
		// Set Timezone:
		date_default_timezone_set($results->lead_timezone);

		$date_and_time = date('Y-m-d H:i');
		$date_only = date('Y-m-d');
		$time_only = date('H:i');
		$time_only_e = explode(":", $time_only);

		$time = strtotime($time_only);
		$startTime = date("H:i", strtotime('-30 minutes', $time));
		$endTime = date("H:i", strtotime('+30 minutes', $time));

		$time_buffer = $time_only_e[1] - 10;
		$time_buffer2 = $time_only_e[1] + 10;
		$date_and_time_buffer_negative = $date_only. " ". $startTime;
		$date_and_time_buffer_plus = $date_only. " ". $endTime;	
		// echo $date_and_time . "<br><br>";
		// echo $date_only . "<br><br>";
		// echo $time_only . "<br><br>";
		// echo $date_and_time_buffer_negative . "<br><br>";
		// echo $date_and_time_buffer_plus . "<br><br>";

		// #################### 

		// Check If Lead is Complete - Ignore
		if( $results->lead_status == "complete" ){
			// IGNORE - done squence
			// echo "This lead has completed squence :: " . $results->email ." <br><br>";
		} else {
		// start if loop



			// ####################################
			//
			// Check 1 Day Before
			//
			// ####################################
			$check_1_day_before = we_check_in_range($date_and_time_buffer_negative, $date_and_time_buffer_plus, $results->date_1_day_before);
			if( $check_1_day_before == "yes" ){
				// Within Range ::
				if( $results->date_1_day_before_check != "sent" ){
					// Send Out Email
					// echo "<br><br><b>EMAIL :: 1 DAY BEFORE :: ". $results->email ."</b>";
					we_cron_email($_GET['id'], $results->ID, 1, $results->name, $results->email, $results->date_picked_and_live);
					// Update In DB
					$wpdb->update($table_db_name, array( 'date_1_day_before_check' => 'sent' ), array( 'id' => $results->ID ));
				}
			}

			// ####################################
			//
			// Check 1 Hour Before
			//
			// ####################################
			$check_1_hour_before = we_check_in_range($date_and_time_buffer_negative, $date_and_time_buffer_plus, $results->date_1_hour_before);
			if( $check_1_hour_before == "yes" ){
				// Within Range ::
				if( $results->date_1_hour_before_check != "sent" ){
					// Send Out Email
					// echo "<br><br><b>EMAIL :: 1 HOUR BEFORE :: ". $results->email ."</b>";
					we_cron_email($_GET['id'], $results->ID, 2, $results->name, $results->email, $results->date_picked_and_live);
					wi_send_txt($_GET['id'], $results->phone,  $results->ID);
					// Update In DB
					$wpdb->update($table_db_name, array( 'date_1_hour_before_check' => 'sent', 'date_1_day_before_check' => 'sent' ), array( 'id' => $results->ID ));
				}
			}

			// ####################################
			//
			// Check LIVE Webinar
			//
			// ####################################
			$check_date_picked_and_live = we_check_in_range($date_and_time_buffer_negative, $date_and_time_buffer_plus, $results->date_picked_and_live);
			if( $check_date_picked_and_live == "yes" ){
				// Within Range ::
				if( $results->date_picked_and_live_check != "sent" ){
					// Send Out Email
					// echo "<br><br><b>EMAIL :: EVENT LIVE :: ". $results->email ."</b>";
					we_cron_email($_GET['id'], $results->ID, 3, $results->name, $results->email, $results->date_picked_and_live);
					// Update In DB
					$wpdb->update($table_db_name, array( 'date_picked_and_live_check' => 'sent', 'date_1_day_before_check' => 'sent', 'date_1_hour_before_check' => 'sent' ), array( 'id' => $results->ID ));
				}
			}

			// ####################################
			//
			// Check After Live Is Over
			//
			// ####################################
			$check_date_after_live = we_check_in_range($date_and_time_buffer_negative, $date_and_time_buffer_plus, $results->date_after_live);
			if( $check_date_after_live == "yes" ){
				// Within Range ::
				if( $results->date_after_live_check != "sent" ){
					// Send Out Email
					// echo "<br><br><b>EMAIL :: 1 HOUR AFTER :: ". $results->email ."</b>";
					we_cron_email($_GET['id'], $results->ID, 4, $results->name, $results->email, $results->date_picked_and_live);
					// Update In DB
					$wpdb->update($table_db_name, array( 'date_after_live_check' => 'sent', 'date_picked_and_live_check' => 'sent', 'date_1_day_before_check' => 'sent', 'date_1_hour_before_check' => 'sent' ), array( 'id' => $results->ID ));
				}
			}

			// ####################################
			//
			// Check 1 Day After
			//
			// ####################################
			$check_date_1_day_after = we_check_in_range($date_and_time_buffer_negative, $date_and_time_buffer_plus, $results->date_1_day_after);
			if( $check_date_1_day_after == "yes" ){
				// Within Range ::
				if( $results->date_1_day_after_check != "sent" ){
					// Send Out Email
					// echo "<br><br><b>EMAIL :: 1 DAY AFTER :: ". $results->email ."</b>";
					we_cron_email($_GET['id'], $results->ID, 5, $results->name, $results->email, $results->date_picked_and_live);
					// Update In DB
					$wpdb->update($table_db_name, array( 'date_1_day_after_check' => 'sent', 'date_after_live_check' => 'sent', 'date_picked_and_live_check' => 'sent', 'date_1_day_before_check' => 'sent', 'date_1_hour_before_check' => 'sent', 'lead_status' => 'complete' ), array( 'id' => $results->ID ));
				}
			}


			
		// end if loop	
		}

	}

	// Date Range Checker
	function we_check_in_range($start_date, $end_date, $date_from_db){
	  
		  // Convert to timestamp
		  $start_ts = strtotime($start_date);
		  $end_ts = strtotime($end_date);
		  $user_ts = strtotime($date_from_db);

		  // Check that user date is between start & end
		  if( ($user_ts >= $start_ts) && ($user_ts <= $end_ts) ){
		  	return "yes";
		  }	else {
		  	return "no";
		  }

	}

	// Send Out Emails
	function we_cron_email($ID, $LEADID,  $num, $NAME, $EMAIL, $DATE){
		
		// Setup Info
		$results = get_option('webinarignition_campaign_'. $ID );

		$mail = new PHPMailer;
		// EMAIL SETTINGS
		$mail->IsSMTP();
		$mail->Host = $results->smtp_host;
		$mail->SMTPAuth = true;
		$mail->Username = $results->smtp_user; 
		$mail->Password = $results->smtp_pass; 
		$mail->SMTPSecure = 'tls';
		$mail->From = $results->smtp_email;
		$mail->FromName = $results->smtp_name;
		// SMTP Port
		$port = $results->smtp_port;
		if( $port == "" ){ $port = 25; }
		$mail->Port = $port;
		// EMAIL COPY ::
		$mail->WordWrap = 50;
		$mail->IsHTML(true);
		$getSBJ = "email_notiff_sbj_" . $num;
		$mail->Subject = $results->$getSBJ;

		// Preprocess Email w/ Shortcodes
		$getBody = "email_notiff_body_" . $num;
		$getBodyEmail = $results->$getBody;
		// Shortcode :: TITLE
		$getBodyEmail = str_replace("{TITLE}", $results->webinar_desc, $getBodyEmail);
		// Shortcode :: HOST
		$getBodyEmail = str_replace("{HOST}", $results->webinar_host, $getBodyEmail);
		// Shortcode :: LINK
		$getBodyEmail = str_replace("{LINK}", $results->webinar_permalink . "?live&lid=". $LEADID ."&event=OI3shBXlqsw&live=1", $getBodyEmail);
		// Shortcode :: DATE
		// Translate ::
		$autoDate_info = explode(" ", $DATE);	
		$autoDate = $autoDate_info[0];	
		$autoDate_format = date('l\, M\. j\, Y', strtotime($autoDate_info[0]));
		// Final Step = Translate Months
		$months = $results->auto_translate_months;
		$months = explode(",", $months);
		$englishMonths = array('Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec' );
		$translateMonths = array($months[0], $months[1], $months[2], $months[3], $months[4], $months[5], $months[6], $months[7], $months[8], $months[9], $months[10], $months[11], $months[12]);
		$days = $results->auto_translate_days;
		$days = explode(",", $days);
		$englishDays = array('Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday');
		$translateDays = array($days[0], $days[1], $days[2], $days[3], $days[4], $days[5], $days[6]);
		$autoDate_format = str_ireplace($englishMonths, $translateMonths, $autoDate_format);
		$autoDate_format = str_ireplace($englishDays, $translateDays, $autoDate_format);
		// Times
		$autoTime =  date("g:i A", strtotime("$autoDate_info[1]") );
		// Replace
		$getBodyEmail = str_replace("{DATE}", $autoDate_format . " @ ". $autoTime, $getBodyEmail);
		
		// Send Email
		$mail->AddAddress($EMAIL, $NAME); 

		$mail->Body = $getBodyEmail;

		// Mail Lead
		if(!$mail->Send()) {
		    // echo 'Mailer Error: ' . $mail->ErrorInfo;
		    exit;
		} else {
			// echo 'Email Sent :: ' . $EMAIL;
			// echo "<br>";
		}


	}

// ####################################
//
//  Send TXT Notification
//
// ####################################	
function wi_send_txt($ID, $PHONE, $LEADID){

			// Get Results
			$results = get_option('webinarignition_campaign_'. $ID );

			$AccountSid = $results->twilio_id;
			$AuthToken = $results->twilio_token;
			$client = new Services_Twilio($AccountSid, $AuthToken);

			$MSG =  $results->twilio_msg;
			// Shortcode {LINK}
			$MSG = str_replace("{LINK}", $results->webinar_permalink . "?live&lid=". $LEADID ."&event=OI3shBXlqsw&live=1", $MSG);
					
				try {

					$client->account->sms_messages->create(
					    $results->twilio_number, // From this number
					    trim($PHONE), // To this number
					   	$MSG
					);
					// echo 'TXT Sent :: ' . $PHONE;
					// echo "<br>";
        	
			    } catch (Exception $e) {
			    	// Error On Phone Number - Do Nothing
			        // echo 'Error: ' . $e->getMessage();
			    }

}

?>