<?php

	set_time_limit(0); 
	ignore_user_abort();
	
	// ADD WORDPRESS
	define('WP_USE_THEMES', false);
	require('../../../../wp-blog-header.php');

	// Inlcude PHPMailerFunction
	require 'class.phpmailer.php';

	// Include Twilio Lib
	require 'Services/Twilio.php';

	// Include Helper Functions
	require 'schedule_email_live_fn.php';

	// CRON Setup For Sending Out Emails
	$campaignID = $_GET["id"];

	// Get Results
	$results = get_option('webinarignition_campaign_'. $campaignID );	

	// SETUP :: Core Time Settings
	$TZID = wi_convert_utc_to_tzid($results->webinar_timezone);
	date_default_timezone_set("$TZID");
	$date_and_time = date('Y-m-d H:i');
	$date_only = date('Y-m-d');
	$time_only = date('H:i');
	$time_only_e = explode(":", $time_only);

	// SETUP :: Buffer Zone
	$time = strtotime($time_only);
	$startTime = date("H:i", strtotime('-30 minutes', $time));
	$endTime = date("H:i", strtotime('+30 minutes', $time));
	$time_buffer = $time_only_e[1] - 10;
	$time_buffer2 = $time_only_e[1] + 10;
	$dt_buffer_n = $date_only. " ". $startTime;
	$dt_buffer_p = $date_only. " ". $endTime;	

	// #####################################
	//
	// ### Schedule Checks - Match Time/Date
	//
	// #####################################
	//
	// NOTIFICATION EMAIL #1
	//
	// #####################################
	//
	$check_dt_1 = wi_build_time($campaignID, $results->email_notiff_date_1, $results->email_notiff_time_1);
	$check_1_day_before = wi_dt_check($dt_buffer_n, $dt_buffer_p, $check_dt_1);
	if( $check_1_day_before == "yes" ){
		if( $results->date_1_day_before_checkxx != "sent" ){
			// Send Out Email FN & Update Email Sch. Status
			wi_send_email($campaignID, 1);
			// echo "<br><br><b>EMAIL :: 1 DAY BEFORE :: Triggerd</b><br>>";
		}
	}
	//
	// #####################################
	//
	// NOTIFICATION EMAIL #2
	//
	// #####################################
	//
	$check_dt_2 = wi_build_time($campaignID, $results->email_notiff_date_2, $results->email_notiff_time_2);
	$check_2_day_before = wi_dt_check($dt_buffer_n, $dt_buffer_p, $check_dt_2);
	if( $check_2_day_before == "yes" ){
		if( $results->date_2_day_before_checkxx != "sent" ){
			// Send Out Email FN & Update Email Sch. Status
			wi_send_email($campaignID, 2);
			// wi_send_txt($campaignID);
			// echo "<br><br><b>EMAIL :: 1 HOUR BEFORE :: Triggered</b><br><br>";
		}
	}
	//
	// #####################################
	//
	// NOTIFICATION EMAIL #3
	//
	// #####################################
	//
	$check_dt_3 = wi_build_time($campaignID, $results->email_notiff_date_3, $results->email_notiff_time_3);
	$check_3_day_before = wi_dt_check($dt_buffer_n, $dt_buffer_p, $check_dt_3);
	if( $check_3_day_before == "yes" ){
		if( $results->date_3_day_before_checkxx != "sent" ){
			// Send Out Email FN & Update Email Sch. Status
			wi_send_email($campaignID, 3);
			// echo "<br><br><b>EMAIL :: LIVE :: Triggered</b><br><br>";
		}
	}
	//
	// #####################################
	//
	// NOTIFICATION EMAIL #4
	//
	// #####################################
	//
	$check_dt_4 = wi_build_time($campaignID, $results->email_notiff_date_4, $results->email_notiff_time_4);
	$check_4_day_before = wi_dt_check($dt_buffer_n, $dt_buffer_p, $check_dt_4);
	if( $check_4_day_before == "yes" ){
		if( $results->date_4_day_before_checkxx != "sent" ){
			// Send Out Email FN & Update Email Sch. Status
			wi_send_email($campaignID, 4);
			// echo "<br><br><b>EMAIL :: 1 HOUR AFTER :: Triggered</b><br><br>";
		}
	}
	//
	// #####################################
	//
	// NOTIFICATION EMAIL #5
	//
	// #####################################
	//
	$check_dt_5 = wi_build_time($campaignID, $results->email_notiff_date_5, $results->email_notiff_time_5);
	$check_5_day_before = wi_dt_check($dt_buffer_n, $dt_buffer_p, $check_dt_5);
	if( $check_5_day_before == "yes" ){
		if( $results->date_5_day_before_checkxx != "sent" ){
			// Send Out Email FN & Update Email Sch. Status
			wi_send_email($campaignID, 5);
			// echo "<br><br><b>EMAIL :: 1 DAY AFTER :: Triggered</b><br><br>";
		}
	}
	//
	// #####################################
	//
	// NOTIFICATION TXT
	//
	// #####################################
	//
	$check_dt_txt = wi_build_time($campaignID, $results->email_twilio_date, $results->email_twilio_time);
	$check_txt_day_before = wi_dt_check($dt_buffer_n, $dt_buffer_p, $check_dt_txt);
	if( $check_txt_day_before == "yes" ){
		if( $results->date_txt_day_before_checkxx != "sent" ){
			// Send Out TXT
			wi_send_txt($campaignID);
			// echo "<br><br><b>TXT :: 1 HOUR BEFORE :: Triggered</b><br><br>";
		}
	}
	
?>